<?php

require('includes/application_top.php');

$time=time();

$credentials = [];

$welcomestores = [

  'status' => 'logged_out',
  'data' => [],

];

$welcomestores_active = 0;

//check to see if it is installed otherwise add the configuration
$configuration_query = tep_db_query("SELECT configuration_value FROM configuration WHERE configuration_key = 'WELCOMESTORES' LIMIT 1");
if( tep_db_num_rows( $configuration_query ) <= 0 ){

  $configuration_insert_query = tep_db_query("INSERT INTO configuration (configuration_title,configuration_key,configuration_value,configuration_group_id,sort_order,date_added) VALUES('Welcome Stores', 'WELCOMESTORES', '1', 1 , 1000, now() )");

  $welcomestores_active = 1;

  //install extras in db

  tep_db_query("ALTER TABLE `products` ADD `is_welcomestores` TINYINT(1) NOT NULL DEFAULT '0' AFTER `is_local`");

$sql = "
CREATE TABLE `custom_stoxo` (
  `id` int(11) NOT NULL,
  `products_id` int(11) NOT NULL,
  `status` int(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
";

  tep_db_query($sql);

$sql = "
ALTER TABLE `custom_stoxo`
  ADD UNIQUE KEY `products_id` (`products_id`);
";

  tep_db_query($sql);

} else {

  $configuration = tep_db_fetch_array($configuration_query);

  if( tep_not_null($configuration) && isset($configuration['configuration_value']) && tep_not_null($configuration['configuration_value']) ){

    $welcomestores_active = (int)$configuration['configuration_value'];

  }

}

$configuration_query = tep_db_query("SELECT configuration_value FROM configuration WHERE configuration_key = 'WELCOMESTORES_DATA' LIMIT 1");
if( tep_db_num_rows( $configuration_query ) <= 0 ){

  $configuration_insert_query = tep_db_query("INSERT INTO configuration (configuration_title,configuration_key,configuration_value,configuration_group_id,sort_order,date_added) VALUES('Welcome Stores Data (no edit)', 'WELCOMESTORES_DATA', '', 1 , 1000, now() )");

} else {

  $configuration = tep_db_fetch_array($configuration_query);

  if( tep_not_null($configuration) && isset($configuration['configuration_value']) && tep_not_null($configuration['configuration_value']) ){

    $welcomestores = unserialize($configuration['configuration_value']);

  }

}

$welcomestores_products = [];


//var_dump(!tep_not_null($configuration));
//die;
//var_dump($welcomestores); die;


if( $welcomestores['status'] !== 'authenticated' ){

  if( $welcomestores['status'] === 'logged_out' ){

    //connect to gloria
    $store_db_access=false;
    if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)){

      $store_db_access=true;

    }

    if( $store_db_access ){

      $store_query = tep_db_query("SELECT stores_id, customers_code, stores_welcomestores_username, stores_welcomestores_password, stores_welcomestores_appid FROM stores WHERE stores_id = '".STORE_ID."' LIMIT 1",DB_MAIN_LINK);

      $store = tep_db_fetch_array($store_query);

      if( isset($store['stores_welcomestores_username']) && tep_not_null($store['stores_welcomestores_username']) && isset($store['stores_welcomestores_password']) && tep_not_null($store['stores_welcomestores_password']) && isset($store['stores_welcomestores_appid']) && tep_not_null($store['stores_welcomestores_appid']) ){

        $welcomestores['data'] = [

          'login_credentials' => [

            'username' => $store['stores_welcomestores_username'],
            'password' => $store['stores_welcomestores_password'],
            'appid' => $store['stores_welcomestores_appid'],

          ]

        ];

      }

    }

    //var_dump($welcomestores);

    //die;

    if( !isset( $welcomestores['data']['login_credentials'] ) ){

      $messageStack->add_session('Api Credentials not provided or wrong.', 'success');

      tep_redirect(tep_href_link(FILENAME_DEFAULT));

    }

    if( isset($_GET['action']) ){

      if( $_GET['action'] === 'login' ){

        $post = [
            'service' => 'login',
            'username' => $welcomestores['data']['login_credentials']['username'],
            'password' => $welcomestores['data']['login_credentials']['password'],
            'appId'   => $welcomestores['data']['login_credentials']['appid'],
        ];

        $ch = curl_init('http://welcomestores.oncloud.gr/s1services');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
        curl_setopt($ch, CURLOPT_ENCODING ,"windows-1253");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('application/json; charset=windows-1253'));

        $response = curl_exec($ch);

        // close the connection, release resources used
        curl_close($ch);

        $result = iconv('windows-1253','utf-8',$response);

        $success = false;

        if( tep_not_null($result) ){

          $jsonObj = json_decode($result, true);

          if ($jsonObj === null && json_last_error() !== JSON_ERROR_NONE) {

          } else {

            if( isset( $jsonObj['success'] ) ){

              $success = true;

            }

          }

        } else {

        }

        if( !$success ){

          $messageStack->add_session('Είσοδος απέτυχε. Παρακαλώ δοκιμάστε αργότερα ή επικοινωνήστε με έναν διαχειριστή.', 'error');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        } else {

          $welcomestores['status'] = 'login';
          $welcomestores['data']['response'] = $jsonObj;

          tep_db_query("UPDATE configuration SET configuration_value = '".serialize($welcomestores)."'  WHERE configuration_key = 'WELCOMESTORES_DATA'");

          //$messageStack->add_session('Είσοδος επιτυχής. Επόμενο βήμα: autherntication σε κατάστημα.', 'success');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        }

        exit();

      }

    }

  }

  if( $welcomestores['status'] === 'login' ){

    if( isset($_GET['action']) ){

      if( $_GET['action'] === 'authenticate' ){

        $refid = isset( $_GET['refid'] ) ? $_GET['refid'] : null;

        if( !tep_not_null($refid) ){

          $messageStack->add_session('Authentication απέτυχε. Δεν έχετε επιλέξει κατάστημα.', 'error');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        }

        if( !isset( $welcomestores['data']['response']['objs']) ){

          $messageStack->add_session('Authentication απέτυχε.', 'error');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        }

        $authentication_data =  null;

        foreach( $welcomestores['data']['response']['objs'] as $value ){

          if( $value['REFID'] === $refid ){

            $authentication_data = $value;

          }

        }

        if( !tep_not_null($authentication_data) ){

          $messageStack->add_session('Authentication απέτυχε. Δεν βρέθυκε το επιλεγμένο κατάστημα.', 'error');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        }

        $post = [
            'service' => 'authenticate',
            'clientID' => $welcomestores['data']['response']['clientID'],
            'COMPANY' => $authentication_data['COMPANY'],
            'BRANCH' => $authentication_data['BRANCH'],
            'MODULE' => $authentication_data['MODULE'],
            'REFID' => $authentication_data['REFID'],

        ];

        $ch = curl_init('http://welcomestores.oncloud.gr/s1services');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
        curl_setopt($ch, CURLOPT_ENCODING ,"windows-1253");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('application/json; charset=windows-1253'));

        $response = curl_exec($ch);

        curl_close($ch);

        $result = iconv('windows-1253','utf-8',$response);

        $success = false;

        if( tep_not_null($result) ){

          $jsonObj = json_decode($result, true);

          if ($jsonObj === null && json_last_error() !== JSON_ERROR_NONE) {

          } else {

            if( isset( $jsonObj['success'] ) ){

              $success = true;

            }

          }

        } else {

        }

        if( !$success ){

          $messageStack->add_session('Authentication απέτυχε. Παρακαλώ δοκιμάστε αργότερα ή επικοινωνήστε με έναν διαχειριστή.', 'error');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        } else {

          $welcomestores['status'] = 'authenticated';
          $welcomestores['data']['response'] = $jsonObj;

          tep_db_query("UPDATE configuration SET configuration_value = '".serialize($welcomestores)."'  WHERE configuration_key = 'WELCOMESTORES_DATA'");

          //$messageStack->add_session('Authentication επιτυχής.', 'success');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        }

        exit();

      }

    }


  }

} else {

  $date = isset( $_GET['date'] ) ? $_GET['date'] : '';

  if( isset($_POST['selected_products']) ){

    $selected_products = explode(',',$_POST['selected_products']);

    $selected_products_flipped = array_flip($selected_products);

    //_dd($selected_products_flipped);

    if( is_file(DIR_FS_CATALOG.'includes/work/welcomestores_products.json') ){

      $file_data = file_get_contents( DIR_FS_CATALOG.'includes/work/welcomestores_products.json' );

      $welcomestores_products = json_decode($file_data,true);

    }

    if( $welcomestores_products && (bool)$welcomestores_products && isset( $welcomestores_products['products'] ) && tep_not_null($welcomestores_products['products']) ){

      $products_added = 0;

      //_d( $selected_products_flipped );

      foreach( $welcomestores_products['products'] as $value ){

        if( isset( $selected_products_flipped[$value['CODE']] ) ){

          $code = $value['CODE'];

          $pm_check_query = tep_db_query("SELECT products_id FROM products WHERE products_model = '".$code."' ");
          $rowa_check = tep_db_num_rows($pm_check_query);

          //_d($rowa_check);

          if( $rowa_check > 0 ){

            continue;

          }

         // var_dump(tep_db_prepare_input($value['AVAILABLE'])); die;

            $sql_data_array = array('products_quantity' => tep_db_prepare_input($value['AVAILABLE']),
                                //'products_model' => tep_db_prepare_input($_POST['products_model']),
                                'products_price' => tep_db_prepare_input($value['PRICEW']),
                                //'products_date_available' => $products_date_available,
                                'products_model' => tep_db_prepare_input($value['CODE']),
                                'products_status' => 0,
                                'products_tax_class_id' => 1,
                                'is_local' => 1,
                                'is_welcomestores' => 1,
                                'products_date_added' => 'now()',

                                );

            tep_db_perform(TABLE_PRODUCTS, $sql_data_array);
            $products_id = tep_db_insert_id();

            $current_category_id = 0;

            tep_db_query("insert into " . TABLE_PRODUCTS_TO_CATEGORIES . " (products_id, categories_id) values ('" . (int)$products_id . "', '" . (int)$current_category_id . "')");

            $products_added++;

            $languages = tep_get_languages();
            for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
              $language_id = $languages[$i]['id'];

              $sql_data_array = array('products_name' => tep_db_prepare_input($value['NAME']),
                                      'products_description' => tep_db_prepare_input($value['CCCWEBBODY']),
                                      'products_url' => '');

              $insert_sql_data = array('products_id' => $products_id,
                                         'language_id' => $language_id);

              $sql_data_array = array_merge($sql_data_array, $insert_sql_data);

              tep_db_perform(TABLE_PRODUCTS_DESCRIPTION, $sql_data_array);

            }

        }//isset CODE

      }

      if (USE_CACHE == 'true') {
        tep_reset_cache_block('categories');
        tep_reset_cache_block('also_purchased');
      }

      $messageStack->add_session('Προστέθηκαν '.$products_added, 'success');

      tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

    }


  }

  if( isset($_GET['action']) ){

    if( $_GET['action'] === 'logout' ){

      $welcomestores = [

        'status' => 'logged_out',
        'data' => [],

      ];

      tep_db_query("UPDATE configuration SET configuration_value = '".serialize($welcomestores)."'  WHERE configuration_key = 'WELCOMESTORES_DATA'");

      //$messageStack->add_session('Αποσύνδεση επιτυχής.', 'success');

      tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

    }

    if( $_GET['action'] === 'clear_cache' ){

      if( is_file(DIR_FS_CATALOG.'includes/work/welcomestores_products.json') ){

        @unlink(DIR_FS_CATALOG.'includes/work/welcomestores_products.json' );

      }

      if( is_file(DIR_FS_CATALOG.'includes/work/welcomestores_products.ser') ){

        @unlink(DIR_FS_CATALOG.'includes/work/welcomestores_products.ser' );

      }

      //$messageStack->add_session('Επιτυχία.', 'success');

      tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));


    }

    if( $_GET['action'] === 'get_products' ){

      //$UpdDate = date("Ymd H:i:s", strtotime(date("Y-m-d", time()) . " - 1 year"));

      $date = isset( $_GET['date'] ) ? $_GET['date'] : null;

      if( tep_not_null($date) ){

        $exp = explode('/',$date);

        $UpdDate = $exp[2].$exp[1].$exp[0].' 00:00:00';

      } else {

        $messageStack->add_session('Δεν επιλέχθηκε ημερομηνία.', 'error');

        tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

      }

      //get products from welcomestores

        $post = [

            'clientID' => $welcomestores['data']['response']['clientID'],
            'whouse' => '1000',
            'newf'  => 1,
            "UpdDate" => $UpdDate,
        ];

        $ch = curl_init('http://welcomestores.oncloud.gr/s1services/js/dwhite/newproduct');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
        curl_setopt($ch, CURLOPT_ENCODING ,"windows-1253");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('application/json; charset=windows-1253'));

        $response = curl_exec($ch);

        curl_close($ch);

        $result = iconv('windows-1253','utf-8',$response);

        $success = false;

        if( tep_not_null($result) ){

          $jsonObj = json_decode($result, true);

          if ($jsonObj === null && json_last_error() !== JSON_ERROR_NONE) {

          } else {

            if( isset( $jsonObj['success'] ) ){

              $success = true;

            }

          }

        } else {

        }

        if( !$success ){

          $messageStack->add_session('Αποτυχία.', 'error');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES));

        } else {

          $welcomestores_products = ['date' => $date, 'products' => $jsonObj['data']];

          file_put_contents( DIR_FS_CATALOG.'includes/work/welcomestores_products.json', json_encode($welcomestores_products) );
          file_put_contents( DIR_FS_CATALOG.'includes/work/welcomestores_products.ser', serialize($welcomestores_products) );
          //file_put_contents( DIR_FS_CATALOG.'includes/work/welcomestores_products.raw', $welcomestores_products );

          //tep_db_query("UPDATE configuration SET configuration_value = '".addslashes(serialize($welcomestores_products))."'  WHERE configuration_key = 'WELCOMESTORES_PRODUCTS'");

          //$messageStack->add_session('Είσοδος επιτυχής. Επόμενο βήμα: autherntication σε κατάστημα.', 'success');

          tep_redirect(tep_href_link(FILENAME_WELCOMESTORES,'date='.$date));

        }



    }

  }

  if( is_file(DIR_FS_CATALOG.'includes/work/welcomestores_products.json') ){

    $file_data = file_get_contents( DIR_FS_CATALOG.'includes/work/welcomestores_products.json' );

    $welcomestores_products = json_decode($file_data,true);

  }

}

//var_dump($welcomestores_products); die;

$clientId = isset( $_GET['clientId'] ) ? $_GET['clientId'] : null;

$data = array('categories'=>array(),'products'=>array());
//var_dump($_GET);
//die;
if( isset($_GET['action']) ){


  if( $_GET['action'] === 'save' ){


    $categories = $_POST['categories_category'];
    $products = $_POST['categories_product'];

    if( tep_not_null($categories) ){

      $data['categories'] = $categories;

    } else {

      $data['categories'] = array();

    }

    if( tep_not_null($products) ){

      $data['products'] = $products;

    } else {

      $data['products'] = array();

    }

    $json_data = json_encode($data);

    tep_db_query("INSERT INTO products_external_services (products_external_services_service,products_external_services_data) VALUES('".$service."','".$json_data."') ON DUPLICATE KEY UPDATE products_external_services_data = '".$json_data."' ");

    tep_redirect(tep_href_link(FILENAME_PRODUCTS_EXTERNAL_SERVICES));

  }

}

$categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");

$items = array();

while ($categories = tep_db_fetch_array($categories_query)) {
    $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);
}

//GET ALL PRODUCTS THAT BELONG TO WELCOME STORES
$products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
WHERE p.products_id = pd.products_id AND  p.is_welcomestores = 1 AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");

$products = array();

while ($products_row = tep_db_fetch_array($products_query)) {
  $products[$products_row['products_model']] = $products_row['products_id'];
}

//_d($products);

require(DIR_WS_INCLUDES . 'template_top.php'); ?>

  <div class="pageHeading">
    <h2>Welcome Stores
<?php if( $welcomestores['status'] === 'authenticated' ){ ?>
    <a href="<?php echo tep_href_link(FILENAME_WELCOMESTORES,'action=logout'); ?>" class="btn btn-danger pull-right">Αποσύνδεση</a>
<?php } ?>
    </h2>
  </div>
  <hr>

<?php if( $welcomestores['status'] !== 'authenticated' ){ ?>

  <div class="row">

    <div class="col-sm-12">

<?php if( $welcomestores['status'] === 'logged_out' ){ ?>

      <a href="<?php echo tep_href_link(FILENAME_WELCOMESTORES,'action=login'); ?>" class="btn btn-success spacerTop10">Είσοδος στο σύστημα της Welcome Stores</a>

<?php } elseif( $welcomestores['status'] === 'login' ){ ?>

      <h4>Είσοδος σε:</h4>
<?php //_d($welcomestores['data']['response']);
if( $welcomestores['data']['response']['objs'] ){ ?>
        <ol>

<?php foreach( $welcomestores['data']['response']['objs'] as $value ){ ?>
          <li>

            <div class="well">

              Company: <?php echo $value['COMPANY']; ?><br>
              Company Name: <?php echo $value['COMPANYNAME']; ?><br>
              Branch: <?php echo $value['BRANCH']; ?><br>
              Branch Name: <?php echo $value['BRANCHNAME']; ?><br>
              Name: <?php echo $value['REFIDNAME']; ?><br>
              Ref ID: <?php echo $value['REFID']; ?><br>

              <a href="<?php echo tep_href_link(FILENAME_WELCOMESTORES,'action=authenticate&refid='.$value['REFID']); ?>" class="btn btn-success spacerTop10">Επιλογή</a>

            </div>

          </li>
<?php } ?>

        </ol>
<?php } ?>


<?php } ?>

    </div>

  </div>

<?php } else { ?>

  <div class="row">

    <div class="col-sm-12">


    <?php echo tep_draw_form('welcomestores', FILENAME_WELCOMESTORES, '', 'get', ''); ?>
  <?php

        if( tep_not_null($welcomestores_products['date']) ){

          $defaultDate = $welcomestores_products['date'];

        } else {

          //$defaultDate = date("d/m/Y", strtotime(date("Y-m-d", time()) . " - 1 year"));
          $defaultDate = null;

        }

  ?>

        Φέρε προϊόντα από
        <input type="text" name="date" id="date" autocomplete="off" class="form-control form-control-inline" placeholder="Ημερομηνία" required value="<?php echo $defaultDate; ?>">
        από μέχρι τώρα.
        <input type="hidden" name="action" value="get_products">

       <script>
        $( function() {

          $( "#date" ).datepicker({

            defaultDate: "<?php echo $defaultDate; ?>",

            changeMonth: true,
            changeYear: true,
            showWeek: true,
            firstDay: 1,

            dateFormat: 'dd/mm/yy',

            maxDate : 1

          });

        } );
        </script>

        <button id="get_products" class="btn btn-success">&laquo; Εκτέλεση</button>

      </form>
<?php if( $welcomestores_products && (bool)$welcomestores_products && isset( $welcomestores_products['products'] ) && tep_not_null($welcomestores_products['products']) ){ ?>
      <a href="<?php echo tep_href_link(FILENAME_WELCOMESTORES,'action=clear_cache'); ?>" class="btn btn-info"><i class="fa fa-trash"></i> Επαναφορά</a>
<?php } ?>
    </div>

  </div>

<?php if( $welcomestores_products && (bool)$welcomestores_products && isset( $welcomestores_products['products'] ) && tep_not_null($welcomestores_products['products']) ){ ?>

  <div class="row spacerTop20">

    <div class="col-sm-8">

      <input type="text" id="search" class="form-control form-control-inline0" placeholder="Πληκτρολόγιστε για αναζήτηση στον πίνακα με τα προϊόντα">

      <script>
        $(function(){

          $('#search').on('keyup',function(){

            searchTable($(this).val(),'products_table');


          });

        });

        function searchTable( filter, table_id ) {

          var table, tr, td, i, txtValue;

          table = document.getElementById(table_id);

          tr = table.getElementsByTagName("tr");

          for (i = 0, n = tr.length ; i < n; i++) {
            td = tr[i].getElementsByTagName("td");
            var display = '';
            for (j = 0, k = td.length ; j < k; j++) {

              if (td[j]) {
                txtValue = td[j].textContent || td[j].innerText;
                if (txtValue.toUpperCase().indexOf(filter.toUpperCase()) > -1) {
                  display = "";
                  break;
                } else {
                  display = "none";
                }
              }

            }

            tr[i].style.display = display;

          }
        }
      </script>

    </div>

  </div>
<?php } ?>

  <div class="row spacerTop20">

    <div class="col-sm-8">

      <div class="table-responsive">

        <table id="products_table" class="table table-bordered table-hover table-striped0">
          <thead>
            <tr>
              <th class="text-center">#</th>
              <th class="text-center">Υπάρχων</th>
              <th class="text-center"></th>
              <th class="text-center">Κωδικός</th>
              <th>Όνομα</th>
              <th>Τιμή</th>
              <th class="text-center">Διαθεσιμότητα</th>
              <th class="text-center">Ιδιοκτήτης</th>
            </tr>
          </thead>
          <tbody>
  <?php $cnt = 1;

$active_products = 0;
$inactive_products = 0;
$zero_quantity_products = 0;
//_d($welcomestores_products);
$added = 0;
if( $welcomestores_products && (bool)$welcomestores_products && isset( $welcomestores_products['products'] ) && tep_not_null($welcomestores_products['products']) ){

   foreach( $welcomestores_products['products'] as $value ){

    if( $value['ISACTIVE'] === '1' ) {

      $active_products++;

    } elseif( $value['ISACTIVE'] === '0' ) {

      $inactive_products++;

    }

    if( $value['AVAILABLE'] === '0' ) {

      $zero_quantity_products++;

    }

    $already_added = false;

    if( isset($products[$value['CODE']]) ){

      $already_added = true;

      $added++;

    }


?>
            <tr class="<?php echo $value['ISACTIVE'] === '1' ? '' : 'danger'; ?>" >
              <td class="text-center"><?php echo $cnt++; ?></td>
              <td class="text-center" title="<?php echo $already_added ? 'Έχει ήδη προστεθεί στο ηλεκτρονικό κατάστημα' : 'Δεν έχει προστεθεί στο ηλεκτρονικό κατάστημα' ; ?>"><?php echo $already_added ? '<i class="fa fa-check text-success"></i>' : '<i class="fa fa-times text-danger"></i>' ; ?></td>
              <td class="text-center">
                <?php if( $value['ISACTIVE'] === '1' && !$already_added ){ ?>
                  <input id="code_<?php echo $value['CODE']; ?>" class="checkbox" type="checkbox" value="<?php echo $value['CODE']; ?>">
                <?php } ?>
              </td>
              <td class="text-center"><label for="code_<?php echo $value['CODE']; ?>"><?php echo $value['CODE']; ?></label></td>
              <td>

                <?php if( $already_added ){ ?>

                  <a  title="Προβολή προϊόντος στην κατηγορία του" href="<?php echo tep_href_link(FILENAME_CATEGORIES,'pID='.$products[$value['CODE']].''); ?>">
                    <?php echo $value['NAME']; ?>
                  </a>

                  <a class="pull-right" title="Επεξεργασία προϊόντος" href="<?php echo tep_href_link(FILENAME_CATEGORIES,'pID='.$products[$value['CODE']].'&action=new_product'); ?>">
                    <i class="fa fa-pencil"></i>
                  </a>

                <?php } else { ?>

                <?php echo $value['NAME']; ?>

                <?php } ?>

                <?php if( tep_not_null($value['CCCWEBBODY']) ){ ?>
                <span class="toggle_description" title="Περιγραφή προϊόντος"><i class="fa fa-align-justify"></i></span>

                <div class="clearfix"></div>

                <textarea class="hidden form-control" readonly rows="5"><?php echo $value['CCCWEBBODY']; ?></textarea>

                <?php } ?>

              </td>
              <td><?php echo $value['PRICEW']; ?></td>
              <td class="text-center <?php echo $value['AVAILABLE'] === '0' ? 'danger' : ''; ?>"><?php echo $value['AVAILABLE']; ?></td>
              <td class="text-center"><?php
$tria = substr($value['CODE'], 0, 2);
$owner = '---';
if( $tria === '10' ){

  $owner = 'Κατάστημα';

}elseif( $tria === '00' ){

  $owner = 'Welcome Stores';

}

echo $owner;

              ?></td>

            </tr>
  <?php } ?>
  <?php } ?>
          </tbody>
        </table>

      </div>

      <script>
      $(function(){

        $('.toggle_description').on('click',function(){

          $(this).next().next().toggleClass('hidden');

        });

        $('.checkbox').on('change',function(){

          var length = $('.checkbox:checked').length;

          $('#selected_products_info').html(length);

          if( length > 0 ){

            $('#welcomestores_add_form').removeClass('hidden');

          } else {

            $('#welcomestores_add_form').addClass('hidden');

          }

          var values = [];
          $('.checkbox:checked').each(function(){

            values.push($(this).val());

          });

          $('#selected_products').val(values.join(','));

        });

      });
      </script>

    </div>
    <div class="col-sm-4">
<?php if( $welcomestores_products && (bool)$welcomestores_products ){ ?>
      <h4>Λίστα προϊόντων από <?php echo $defaultDate; ?> μέχρι τώρα.</h4>
      <hr>
<?php } ?>

      <ul class="list-unstyled">
        <li>

          Πλήθος προϊόντων στη λίστα: <strong><?php echo isset($welcomestores_products['products']) ? count($welcomestores_products['products']) : 0; ?></strong>

        </li>
        <li>

          Πλήθος ενεργών προϊόντων: <strong><?php echo $active_products; ?></strong>

        </li>
        <li>

          Πλήθος ανενεργών προϊόντων: <strong><?php echo $inactive_products; ?></strong>

        </li>
        <li>

          Πλήθος προϊόντων με μηδενική διαθεσιμότητα: <strong><?php echo $zero_quantity_products; ?></strong>

        </li>
        <li><hr></li>
        <li>

          Εισαχθέντα προϊόντα: <strong><?php echo $added; ?></strong>

        </li>
        <li>

          Επιλεγμένα προϊόντα: <strong><span id="selected_products_info">0</span></strong>

        </li>
      </ul>

      <?php echo tep_draw_form('welcomestores_add_form', FILENAME_WELCOMESTORES, '', 'post', 'id="welcomestores_add_form" class="hidden"'); ?>

        <hr>

        <input type="hidden" id="selected_products" name="selected_products" value="">

        <button class="btn btn-primary">Εισαγωγή επιλεγμένων προϊόντων</button>

      <form>

    </div>


  </div>
<?php } ?>
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>

<?php

function _dd($value = ''){

  _d($value,true);

}

function _d($value = '', $die = false){

  echo '<pre>';
  var_dump($value);
  echo '</pre>';

  if( $die ){

    die;

  }

}

?>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>