function MapInitialize() {
/*    var markers = [
        {
            "title": 'Κεντρικά γραφεία',
            "lat": '38.033297',
            "lng": '23.727273',
            "description": 'Κεντρικά γραφεία'
        },
        {
            "title": 'Αποθήκες',
            "lat": '38.093874',
            "lng": '23.625347',
            "description": 'Αποθήκες'
        }];
*/

    var mapOptions = {
      zoom: parseInt(map_details.zoom) || 11,
      center: new google.maps.LatLng(map_details.lat, map_details.lng),
        minZoom: parseInt(map_details.minZoom) || 9,
        maxZoom: parseInt(map_details.maxZoom) || 19,
        draggable: true,
        mapTypeId: google.maps.MapTypeId.MAP,
        mapTypeControl: true,
        mapTypeControlOptions: {
            style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
        },
         zoomControl: true,
            zoomControlOptions: {
                style: google.maps.ZoomControlStyle.LARGE,
                position: google.maps.ControlPosition.LEFT_CENTER
            },
            scrollwheel: false,
            scaleControl: true,
            rotateControl: true,
            fullscreenControl: false,
            panControl: true,
            streetViewControl: false,

        'disableDefaultUI': false,
        'styles': [{
            stylers: [{
                lightness: 7
  }, {
                saturation: -10
  }]
 }]
    };

    google.maps.event.addDomListener(window, "resize", function () {
        var center = map.getCenter();
        google.maps.event.trigger(map, "resize");
        map.setCenter(center);
    });

    var map = new google.maps.Map(document.getElementById('map'), mapOptions);

        var infoWindow = new google.maps.InfoWindow();

        for (var i = 0; i < markers.length; i++) {
            var data = markers[i];
            var myLatlng = new google.maps.LatLng(data.lat, data.lng);
            var marker = new google.maps.Marker({
                position: myLatlng,
                map: map,
                title: data.title
            });

            (function (marker, data) {
                google.maps.event.addListener(marker, "click", function (e) {
                    infoWindow.setContent("<div style = 'min-width:100px;min-height:20px;text-align:center;font-weight:700;'>" + data.description + "</div>");
                    infoWindow.open(map, marker);
                });
            })(marker, data);
        }


    google.maps.visualRefresh = true;
    google.maps.event.addDomListener(window, 'load', MapInitialize);
}

function loadMap(key) {

  var q_string = '?callback=MapInitialize';

  if( key ){

    q_string = '?key=' + key + '&callback=MapInitialize';

  }

    var script = document.createElement('script');

    script.type = 'text/javascript';

    script.src = 'https://maps.googleapis.com/maps/api/js' + q_string;

    document.body.appendChild(script);

}

function UpdateQuantity() {

    /*update quantity of cart starts*/
    $('.item-quantity .q-plus').on('click', function () {

        var quantity = $(this).closest('.item,.item-full').find('.q-update');

        var oldQuant = $(quantity).html();
        var maxQuant = $(quantity).data("max");

        if (oldQuant >= maxQuant) {
            var newQuant = maxQuant;
        } else {
            var newQuant = (parseInt(oldQuant) + 1);
        }

        var href=$(this).closest('.caption').find('.btn-buy-now').attr('href');
        if(!href){

          $('#q').val(newQuant);

        }else{
          var hr=href.split('&q=');
          $(this).closest('.caption').find('.btn-buy-now').attr('href',hr[0]+'&q='+newQuant);
        }

        $(quantity).html(newQuant);
    });

    $('.item-quantity .q-minus').on('click', function () {
        var quantity = $(this).closest('.item,.item-full').find('.q-update');
        var oldQuant = $(quantity).html();

        if (oldQuant == 0) {
          var newQuant = 0;
        } else if (oldQuant <= 1) {
            var newQuant = 1;
        } else {
            var newQuant = (parseInt(oldQuant) - 1);
        }

        var href=$(this).closest('.caption').find('.btn-buy-now').attr('href');
        if(!href){

          $('#q').val(newQuant);

        }else{
          var hr=href.split('&q=');
          $(this).closest('.caption').find('.btn-buy-now').attr('href',hr[0]+'&q='+newQuant);
        }

        $(quantity).html(newQuant);
    });
    /*text truncation ends*/

}

function FeatBanners() {
    var SliderHeight = jQuery("#banner-slider").height();

    jQuery(".banner-box").height(SliderHeight);
}

function FancyBox() {

    jQuery("[class^='FancyBox']").fancybox({
        maxWidth: 1000,
        maxHeight: 700,
        openEffect: 'elastic',
        openSpeed: 150,
        closeEffect: 'elastic',
        closeSpeed: 150,
        beforeLoad: function () {
            jQuery('object, embed').hide();
        },
        afterShow: function () {
            jQuery('object, embed').show();
        },
        prevEffect: 'elastic',
        nextEffect: 'elastic',
        scrollOutside: false,
        scrolling: 'no',
        helpers: {
            overlay: {
                locked: false,
                closeClick: true,
                speedOut: 200,
                showEarly: true,
                css: {
                    'overflow': 'hidden'
                }
            }
        }
    });
}

function ContentTabs() { /* Create Tabs */

    $('ul.nav-tabs li').click(function () {
        var tab_id = $(this).attr('data-tab');

        $('ul.nav-tabs li').removeClass('active');
        $('.tab-pane').fadeOut(0).removeClass('active');

        $(this).addClass('active');
        $("#" + tab_id).fadeIn(200).addClass('active');

        $(window).trigger('resize');
    });
}

function removeHoverCSSRule() {
  if ('createTouch' in document) {
    try {
      var ignore = /:hover/;
      for (var i = 0; i < document.styleSheets.length; i++) {
        var sheet = document.styleSheets[i];
        if (!sheet.cssRules) {
          continue;
        }
        for (var j = sheet.cssRules.length - 1; j >= 0; j--) {
          var rule = sheet.cssRules[j];
          if (rule.type === CSSRule.STYLE_RULE && ignore.test(rule.selectorText)) {
            sheet.deleteRule(j);
          }
        }
      }
    }
    catch(e) {
    }
  }
}


$(document).ready(function () {


   if (Modernizr.touch){
       strClick = 'touchend';
       strOver = 'touchstart';

        $(".topMenuButtons-item").bind(strOver , function(e){
           e.stopPropagation();
           e.preventDefault;
           //$(this).trigger("click");
       });

   } else {
       strClick = 'mouseout';
       strOver = 'mouseover';
        $("[data-rel='tooltip']").tooltip();

   }


  ContentTabs();
  UpdateQuantity();
  FancyBox();

  if ($(window).width()>=768) {
    $("img#zoom").elevateZoom({zoomType : "lens", lensShape : "round", lensSize : 200});
  }

  if ($('#map').length) {

      var key = $('#map').data('key');// AIzaSyCvofOHqWBtfmVoBZ3G7p4sniyE2a04Btg
      window.onload = loadMap(key);
  }


  $('#searchOpenButton').on('click',function(e){

    e.preventDefault();
    $('#searchpanel').removeClass('hidden').fadeToggle( 300, "linear",function(){

      $('#searchBox').focus();

    } );

    if($(window).width()<=560){

      $('#searchpanel').addClass('hidden').submit();

    }

  });

    /*Scroll to top*/
  $('.scrolltop').on('click', function () {
        $("html, body").animate({
            scrollTop: 0
        }, 600);
        return false;
  });

});

$(window).on('load resize', function () {
    var $wh =$(window).height(), $ww = $(window).width(),$hh = $("header").height() ;

    if($ww<992){
        $(".navbar-collapse").css("max-height", ($wh - $hh) +"px");
    }

     $('#ProductInfoTabs').tabCollapse({
        tabsClass: 'hidden-sm hidden-xs hidden-md',
        accordionClass: 'visible-sm visible-xs visible-md'
    });

});


/* bootstrap-tabcollapse */
!function(t){"use strict";var a=function(a,e){this.options=e,this.$tabs=t(a),this._accordionVisible=!1,this._initAccordion(),this._checkStateOnResize();var s=this;setTimeout(function(){s.checkState()},0)};a.DEFAULTS={accordionClass:"visible-xs",tabsClass:"hidden-xs",accordionTemplate:function(t,a,e,s){return'<div class="panel panel-default">   <div class="panel-heading">      <h4 class="panel-title">      </h4>   </div>   <div id="'+a+'" class="panel-collapse collapse '+(s?"in":"")+'">       <div class="panel-body js-tabcollapse-panel-body">       </div>   </div></div>'}},a.prototype.checkState=function(){this.$tabs.is(":visible")&&this._accordionVisible?(this.showTabs(),this._accordionVisible=!1):this.$accordion.is(":visible")&&!this._accordionVisible&&(this.showAccordion(),this._accordionVisible=!0)},a.prototype.showTabs=function(){var a=this;this.$tabs.trigger(t.Event("show-tabs.bs.tabcollapse"));var e=this.$accordion.find(".js-tabcollapse-panel-heading").detach();e.each(function(){var e=t(this),s=e.data("bs.tabcollapse.parentLi"),i=a._panelHeadingToTabHeading(e);s.removeClass("active"),s.parent().hasClass("dropdown-menu")&&!s.siblings("li").hasClass("active")&&s.parent().parent().removeClass("active"),i.hasClass("collapsed")?i.removeClass("collapsed"):(s.addClass("active"),s.parent().hasClass("dropdown-menu")&&s.parent().parent().addClass("active")),s.append(e)}),t("li").hasClass("active")||t("li").first().addClass("active");var s=this.$accordion.find(".js-tabcollapse-panel-body");if(s.each(function(){var a=t(this),e=a.data("bs.tabcollapse.tabpane");e.append(a.contents().detach())}),this.$accordion.html(""),this.options.updateLinks){var i=this.getTabContentElement();i.find('[data-toggle-was="tab"], [data-toggle-was="pill"]').each(function(){var a=t(this),e=a.attr("href").replace(/-collapse$/g,"");a.attr({"data-toggle":a.attr("data-toggle-was"),"data-toggle-was":"","data-parent":"",href:e})})}this.$tabs.trigger(t.Event("shown-tabs.bs.tabcollapse"))},a.prototype.getTabContentElement=function(){var a=t(this.options.tabContentSelector);return 0===a.length&&(a=this.$tabs.siblings(".tab-content")),a},a.prototype.showAccordion=function(){this.$tabs.trigger(t.Event("show-accordion.bs.tabcollapse"));var a=this.$tabs.find('li:not(.dropdown) [data-toggle="tab"], li:not(.dropdown) [data-toggle="pill"]'),e=this;if(a.each(function(){var a=t(this),s=a.parent();a.data("bs.tabcollapse.parentLi",s),e.$accordion.append(e._createAccordionGroup(e.$accordion.attr("id"),a.detach()))}),this.options.updateLinks){var s=this.$accordion.attr("id"),i=this.$accordion.find(".js-tabcollapse-panel-body");i.find('[data-toggle="tab"], [data-toggle="pill"]').each(function(){var a=t(this),e=a.attr("href")+"-collapse";a.attr({"data-toggle-was":a.attr("data-toggle"),"data-toggle":"collapse","data-parent":"#"+s,href:e})})}this.$tabs.trigger(t.Event("shown-accordion.bs.tabcollapse"))},a.prototype._panelHeadingToTabHeading=function(t){var a=t.attr("href").replace(/-collapse$/g,"");return t.attr({"data-toggle":"tab",href:a,"data-parent":""}),t},a.prototype._tabHeadingToPanelHeading=function(t,a,e,s){return t.addClass("js-tabcollapse-panel-heading "+(s?"":"collapsed")),t.attr({"data-toggle":"collapse","data-parent":"#"+e,href:"#"+a}),t},a.prototype._checkStateOnResize=function(){var a=this;t(window).resize(function(){clearTimeout(a._resizeTimeout),a._resizeTimeout=setTimeout(function(){a.checkState()},100)})},a.prototype._initAccordion=function(){var a=function(){for(var t="",a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",e=0;5>e;e++)t+=a.charAt(Math.floor(Math.random()*a.length));return t},e=this.$tabs.attr("id"),s=(e?e:a())+"-accordion";this.$accordion=t('<div class="panel-group '+this.options.accordionClass+'" id="'+s+'"></div>'),this.$tabs.after(this.$accordion),this.$tabs.addClass(this.options.tabsClass),this.getTabContentElement().addClass(this.options.tabsClass)},a.prototype._createAccordionGroup=function(a,e){var s=e.attr("data-target"),i=e.data("bs.tabcollapse.parentLi").is(".active");s||(s=e.attr("href"),s=s&&s.replace(/.*(?=#[^\s]*$)/,""));var o=t(s),n=o.attr("id")+"-collapse",c=t(this.options.accordionTemplate(e,n,a,i));return c.find(".panel-heading > .panel-title").append(this._tabHeadingToPanelHeading(e,n,a,i)),c.find(".panel-body").append(o.contents().detach()).data("bs.tabcollapse.tabpane",o),c},t.fn.tabCollapse=function(e){return this.each(function(){var s=t(this),i=s.data("bs.tabcollapse"),o=t.extend({},a.DEFAULTS,s.data(),"object"==typeof e&&e);i||s.data("bs.tabcollapse",new a(this,o))})},t.fn.tabCollapse.Constructor=a}(window.jQuery);
