<?php

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Examples:
// on RedHat try 'en_US'
// on FreeBSD try 'en_US.ISO_8859-1'
// on Windows try 'en', or 'English'
//@setlocale(LC_TIME, 'el_GR.UTF8');
@setlocale(LC_TIME, 'el_GR.UTF-8');
mb_internal_encoding("UTF-8");

define('DATE_FORMAT_SHORT', '%d/%m/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'd/m/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');
define('JQUERY_DATEPICKER_I18N_CODE', 'el'); // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
define('JQUERY_DATEPICKER_FORMAT', 'dd/mm/yy'); // see http://docs.jquery.com/UI/Datepicker/formatDate

////
// Return date in raw format
// $date should be in format dd/mm/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 0, 2) . substr($date, 3, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 3, 2) . substr($date, 0, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'EUR');

// Global entries for the <html> tag
define('HTML_PARAMS', 'dir="ltr" lang="el"');
//define('HTML_PARAMS', 'dir="ltr" lang="gr"');

// charset for web pages and emails
define('CHARSET', 'utf-8');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', 'Δημιουργία Λογαριασμού');
define('HEADER_TITLE_MY_ACCOUNT', 'Ο Λογαριασμός μου');
define('HEADER_TITLE_CART_CONTENTS', 'Περιεχόμενα Καλαθιού');
define('HEADER_TITLE_CHECKOUT', 'Ολοκλήρωση Αγορών');
define('HEADER_TITLE_TOP', 'Αρχική');
define('HEADER_TITLE_CATALOG', 'Κατάλογος');
define('HEADER_TITLE_LOGOFF', 'Έξοδος');
define('HEADER_TITLE_LOGIN', 'Είσοδος');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', 'αιτήματα από');

// text for gender
define('MALE', 'Άντρας');
define('FEMALE', 'Γυναίκα');
define('MALE_ADDRESS', 'Κος');
define('FEMALE_ADDRESS', 'Κα');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', 'Πληροφορίες Παράδοσης');
define('CHECKOUT_BAR_PAYMENT', 'Πληροφορίες Πληρωμής');
define('CHECKOUT_BAR_CONFIRMATION', 'Επιβεβαίωση');
define('CHECKOUT_BAR_FINISHED', 'Τελειώσατε!');

// pull down default text
define('PULL_DOWN_DEFAULT', 'Επιλέξτε');
define('TYPE_BELOW', 'Συμπληρώστε');

// javascript messages
define('JS_ERROR', 'Προέκυψαν σφάλματα κατά την επεξεργασία της φόρμας σας.\n\nΠαρακαλούμε διορθώστε τα παρακάτω:\n\n');

define('JS_REVIEW_TEXT', '* Το \'Κείμενο Αξιολόγησης\' πρέπει να έχει τουλάχιστον ' . REVIEW_TEXT_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_REVIEW_RATING', '* Πρέπει να αξιολογήσετε το προϊόν για την κριτική σας.\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* Επιλέξτε τρόπο πληρωμής για την παραγγελία σας.\n');

define('JS_ERROR_SUBMITTED', 'Η φόρμα έχει ήδη υποβληθεί. Πατήστε Εντάξει και περιμένετε να ολοκληρωθεί αυτή η διαδικασία.');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', 'Επιλέξτε τρόπο πληρωμής για την παραγγελία σας.');

define('CATEGORY_COMPANY', 'Στοιχεία Επιχείρησης');
define('CATEGORY_PERSONAL', 'Οι Προσωπικές Σας Πληροφορίες');
define('CATEGORY_ADDRESS', 'Η Διεύθυνσή Σας');
define('CATEGORY_CONTACT', 'Τα Στοιχεία Επικοινωνίας Σας');
define('CATEGORY_OPTIONS', 'Επιλογές');
define('CATEGORY_PASSWORD', 'Ο Κωδικός Σας');

define('ENTRY_COMPANY', 'Τίτλος Επιχείρησης:');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_AFM','Α.Φ.Μ.');
define('ENTRY_AFM_TEXT','');
define('ENTRY_GENDER', 'Φύλο:');
define('ENTRY_GENDER_ERROR', 'Επιλέξτε το Γένος σας.');
define('ENTRY_GENDER_TEXT', '');
define('ENTRY_FIRST_NAME', 'Όνομα:');
define('ENTRY_FIRST_NAME_ERROR', 'Το Όνομά σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_FIRST_NAME_TEXT', '');
define('ENTRY_LAST_NAME', 'Επώνυμο:');
define('ENTRY_LAST_NAME_ERROR', 'Το Επώνυμό σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_LAST_NAME_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_LAST_NAME_TEXT', '');
define('ENTRY_DATE_OF_BIRTH', 'Ημ/νία Γέννησης:');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'Η Ημ/νία Γέννησής σας πρέπει να είναι αυτής της μορφής: HH/MM/ΕΕΕΕ (π.χ. 21/05/1970)');
define('ENTRY_DATE_OF_BIRTH_TEXT', '');
define('ENTRY_EMAIL_ADDRESS', 'Διεύθυνση E-Mail:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'Η Διεύθυνση E-Mail σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'Η Διεύθυνση E-Mail σας δε φαίνεται να είναι έγκυρη - πραγματοποιήστε τυχόν διορθώσεις.');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'Η Διεύθυνση E-Mail σας υπάρχει ήδη στο μητρώο μας - πραγματοποιήστε είσοδο με αυτήν τη διεύθυνση e-mail σας ή δημιουργήστε λογαριασμό με διαφορετική διεύθυνση.');
define('ENTRY_EMAIL_ADDRESS_TEXT', '');
define('ENTRY_STREET_ADDRESS', 'Διεύθυνση:');
define('ENTRY_STREET_ADDRESS_ERROR', 'Η Διεύθυνσή σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_STREET_ADDRESS_TEXT', '');
define('ENTRY_SUBURB', 'Προάστιο:');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'Τ.Κ.:');
define('ENTRY_POST_CODE_ERROR', 'Ο Τ.Κ. σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_POSTCODE_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_POST_CODE_TEXT', '');
define('ENTRY_CITY', 'Πόλη:');
define('ENTRY_CITY_ERROR', 'Η Πόλη σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_CITY_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_CITY_TEXT', '');
define('ENTRY_STATE', 'Νομός:');
define('ENTRY_STATE_ERROR', 'Ο Νομός σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_STATE_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_STATE_ERROR_SELECT', 'Επιλέξτε έναν από τους νομούς της λίστας.');
define('ENTRY_STATE_TEXT', '');
define('ENTRY_COUNTRY', 'Χώρα:');
define('ENTRY_COUNTRY_ERROR', 'Επιλέξτε μία από τις χώρες της λίστας.');
define('ENTRY_COUNTRY_TEXT', '');
define('ENTRY_TELEPHONE_NUMBER', 'Τηλέφωνο:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'Το Τηλέφωνό σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_TELEPHONE_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '');
define('ENTRY_FAX_NUMBER', 'Fax:');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'Λίστα Ενημερώσεων:');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'Εγγραφή');
define('ENTRY_NEWSLETTER_NO', 'Διαγραφή');
define('ENTRY_PASSWORD', 'Κωδικός:');
define('ENTRY_PASSWORD_ERROR', 'Ο Κωδικός σα πρέπει να περιέχει τουλάχιστον ' . ENTRY_PASSWORD_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'Η Επιβεβαίωση Κωδικού πρέπει να συμπίπτει με τον Κωδικό σας.');
define('ENTRY_PASSWORD_TEXT', '');
define('ENTRY_PASSWORD_CONFIRMATION', 'Επιβεβαίωση Κωδικού:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '');
define('ENTRY_PASSWORD_CURRENT', 'Τρέχων Κωδικός:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'Ο Κωδικός σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_PASSWORD_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_PASSWORD_NEW', 'Νέος Κωδικός:');
define('ENTRY_PASSWORD_NEW_TEXT', '');
define('ENTRY_PASSWORD_NEW_ERROR', 'Ο Νέος Κωδικός σας πρέπει να περιέχει τουλάχιστον ' . ENTRY_PASSWORD_MIN_LENGTH . ' χαρακτήρες.');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'Η Επιβεβαίωση Κωδικού πρέπει να συμπίπτει με το Νέο Κωδικό σας.');
define('PASSWORD_HIDDEN', '--ΑΠΟΚΡΥΨΗ--');

define('FORM_REQUIRED_INFORMATION', '* Απαιτούμενο πεδίο');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'Σελίδες Αποτελεσμάτων:');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'Εμφάνιση <strong>%d</strong> ως <strong>%d</strong> (από <strong>%d</strong> προϊόντα)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'Εμφάνιση <strong>%d</strong> ως <strong>%d</strong> (από <strong>%d</strong> παραγγελίες)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'Εμφάνιση <strong>%d</strong> ως <strong>%d</strong> (από <strong>%d</strong> κριτικές)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', 'Εμφάνιση <strong>%d</strong> ως <strong>%d</strong> (από <strong>%d</strong> νέα προϊόντα)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'Εμφάνιση <strong>%d</strong> ως <strong>%d</strong> (από <strong>%d</strong> προσφορές)');

define('PREVNEXT_TITLE_FIRST_PAGE', 'Πρώτη Σελίδα');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', 'Προηγούμενη Σελίδα');
define('PREVNEXT_TITLE_NEXT_PAGE', 'Επόμενη Σελίδα');
define('PREVNEXT_TITLE_LAST_PAGE', 'Τελευταία Σελίδα');
define('PREVNEXT_TITLE_PAGE_NO', 'Σελίδα %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'Προηγούμενο Σύνολο %d Σελίδων');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'Επόμενο Σύνολο %d Σελίδων');
define('PREVNEXT_BUTTON_FIRST', '&lt;&lt;ΠΡΩΤΗ');
define('PREVNEXT_BUTTON_PREV', '[&lt;&lt;&nbsp;Προηγούμενη]');
define('PREVNEXT_BUTTON_NEXT', '[Επόμενη&nbsp;&gt;&gt;]');
define('PREVNEXT_BUTTON_LAST', 'ΤΕΛΕΥΤΑΙΑ&gt;&gt;');

define('IMAGE_BUTTON_ADD_ADDRESS', 'Προσθήκη Διεύθυνσης');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'Βιβλίο Διευθύνσεων');
define('IMAGE_BUTTON_BACK', 'Πίσω');
define('IMAGE_BUTTON_BUY_NOW', 'Άμεση Αγορά');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'Αλλαγή Διεύθυνσης');
define('IMAGE_BUTTON_CHECKOUT', 'Ολοκλήρωση Αγορών');
define('IMAGE_BUTTON_CONFIRM_ORDER', 'Επιβεβαίωση Παραγγελίας');
define('IMAGE_BUTTON_CONTINUE', 'Συνέχεια');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'Συνέχεια Αγορών');
define('IMAGE_BUTTON_DELETE', 'Διαγραφή');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'Επεξεργασία Λογαριασμού');
define('IMAGE_BUTTON_HISTORY', 'Ιστορικό Παραγγελιών');
define('IMAGE_BUTTON_LOGIN', 'Είσοδος');
define('IMAGE_BUTTON_IN_CART', 'Στο Καλάθι');
define('IMAGE_BUTTON_NOTIFICATIONS', 'Ειδοποιήσεις');
define('IMAGE_BUTTON_QUICK_FIND', 'Γρήγορη Εύρεση');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', 'Αφαίρεση Ειδοποιήσεων');
define('IMAGE_BUTTON_REVIEWS', 'Κριτικές');
define('IMAGE_BUTTON_SEARCH', 'Αναζήτηση');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', 'Επιλογές Αποστολής');
define('IMAGE_BUTTON_TELL_A_FRIEND', 'Πείτε το σε ένα φίλο');
define('IMAGE_BUTTON_UPDATE', 'Ενημέρωση');
define('IMAGE_BUTTON_UPDATE_CART', 'Ενημέρωση Καλαθιού');
define('IMAGE_BUTTON_WRITE_REVIEW', 'Νέα Κριτική');

define('SMALL_IMAGE_BUTTON_DELETE', 'Διαγραφή');
define('SMALL_IMAGE_BUTTON_EDIT', 'Επεξεργασία');
define('SMALL_IMAGE_BUTTON_VIEW', 'Προβολή');

define('ICON_ARROW_RIGHT', 'περισσότερα');
define('ICON_CART', 'Στο Καλάθι');
define('ICON_ERROR', 'Σφάλμα');
define('ICON_SUCCESS', 'Επιτυχία');
define('ICON_WARNING', 'Προειδοποίηση');

define('TEXT_GREETING_PERSONAL', 'Καλωσήλθατε και πάλι, <span class="greetUser">%s!</span> Θέλετε να δείτε ποια <a href="%s"><u>νέα προϊόντα</u></a> είναι διαθέσιμα για αγορά;');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>Εάν δεν είστε ο/η %s, <a href="%s"><u>πραγματοποιήστε είσοδο</u></a> με το λογαριασμό σας.</small>');
define('TEXT_GREETING_GUEST', 'Καλωσήλθατε, <span class="greetUser">επισκέπτη!</span> Θέλετε να <a href="%s"><u>συνδεθείτε</u></a> ή προτιμάτε να <a href="%s"><u>δημιουργήσετε ένα λογαριασμό</u></a>;');

define('TEXT_SORT_PRODUCTS', 'Ταξινόμηση προϊόντων ');
define('TEXT_DESCENDINGLY', 'φθίνουσα');
define('TEXT_ASCENDINGLY', 'αύξουσα');
define('TEXT_BY', ' από ');

define('TEXT_REVIEW_BY', 'από %s');
define('TEXT_REVIEW_WORD_COUNT', '%s λέξεις');
define('TEXT_REVIEW_RATING', 'Βαθμολογία: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', 'Υποβλήθη: %s');
define('TEXT_NO_REVIEWS', 'Δεν υπάρχουν κριτικές.');

define('TEXT_NO_NEW_PRODUCTS', 'Δεν υπάρχουν προϊόντα.');

define('TEXT_REQUIRED', '<span class="errorText">Απαιτείται</span>');

define('FOOTER_TEXT_BODY', 'Copyright &copy; ' . date('Y') . ' <a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . STORE_NAME . '</a>');

define('HEADER_CART_CHECKOUT', '<i class="glyphicon glyphicon-check"></i> Ολοκλήρωση αγορών');

define('FORM_REQUIRED_INPUT', '*');

define('TEXT_SORT_BY', 'Ταξινόμηση ');

define('TABLE_HEADING_PRODUCTS', 'Όνομα προϊόντος');
define('TABLE_HEADING_PRICE', 'Τιμή');
define('TABLE_HEADING_LATEST_ADDED', 'Ημερομηνία');
define('TABLE_HEADING_QUANTITY', 'Ποσότητα');

define('SMALL_IMAGE_BUTTON_BUY', 'Αγορά');

define('TEXT_SEARCH_PLACEHOLDER', 'Αναζήτηση Προϊόντων');

define('MODULE_BOXES_CONTACT_BOX_TITLE','<span class="glyphicon glyphicon-envelope"></span>&nbsp;&nbsp;Επικοινωνία');
define('MODULE_BOXES_CONTACT_BOX_CONTACT','Φόρμα Επικοινωνίας');

define('MODULE_BOXES_INFORMATION_BOX_PAYMENTS','Τρόποι πληρωμής');
define('SHIPPING_N_RETURNS_TEXT','Αποστολές & Επιστροφές');

define('NEW_PΡΟDUCTS_HEAD_TITLE','Νέα προϊόντα:');
define('PRODUCT_REMOVED','Το προϊόν αφαιρέθηκε.');
define('TEXT_NO_PRODUCTS','Δεν βρέθηκαν προϊόντα.');
define('PRODUCT_ADDED','Το προϊόν προστέθηκε.');

define('TABLE_HEADING_STOXO_PRODUCTS', 'Σας προτείνουμε τα παρακάτω προϊόντα:');

// reviews
define('REVIEWS_TEXT_RATED', 'Κριτική %s από <cite title="%s">%s</cite>');
define('REVIEWS_TEXT_AVERAGE', 'Κριτική/ες %s, μέσος όρος %s');
define('PRODUCT_INFO_REVIEWS_TEXT_RATED', 'Rated %s by <cite title="%s">%s</cite>');

define('TEXT_TITLE_COMPARE_PRODUCTS','COMPARE PRODUCTS');
define('TEXT_TITLE_COMPARE_PRODUCTS_RETURN','&laquo;&laquo;&nbsp;return');
define('TEXT_TITLE_COMPARE_PRODUCTS_BUTTON','Compare Selected Products');
define('TEXT_YOU_MUST_BE_A_MEMBER','You must be a member in order to access this section! Please, sign in using the form bellow.');
define('TEXT_EPILOGH','Select');

define('TEXT_DISPLAY_NUMBER_OF_ENTRIES', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> entries)');

define('NOTIFICATIONS_NEW_PRODUCT','New product &raquo; ');
define('NOTIFICATIONS_OLD_PRODUCT','Check this product &raquo; ');
define('NOTIFICATIONS_VIEW_ALL','View all notifications &raquo; ');
define('NOTIFICATIONS_NEW_CATEGORY','New category &raquo; ');
define('NOTIFICATIONS_OLD_CATEGORY','Check this category &raquo; ');
define('NOTIFICATIONS_NEW_PDF','New pdf &raquo; ');
define('NOTIFICATIONS_OLD_PDF','Check this pdf &raquo; ');

define('TEXT_LISTING_HEADING_IMAGE','Image:');
define('TEXT_LISTING_HEADING_NAME','Name:');
define('TEXT_LISTING_HEADING_PRICE','Price:');
define('TEXT_LISTING_HEADING_QUANTITY','Quantity:');
define('TEXT_LISTING_HEADING_ACTION','Action:');
define('TEXT_LISTING_ADD_TO_CART','Add to Cart');
define('TEXT_LISTING_HEADING_MODEL','Model');
define('TEXT_LISTING_HEADING_OPTIONS','Options:');

define('SOME_OF_THE_SELECTED_PRODUCTS_HAVE_OPTIONS','Some of the products you are trying to add to your cart have attributes. Please select attributes and press Submit button.');
define('TEXT_TITLE_ADD_SELECTED_PRODUCTS_TO_CART_BUTTON','Add selected products to Cart');


define('STORE_OUT_OF_ORDER','Κατάστημα μη ενεργό.');
define('STORE_INACTIVE','Κατάστημα μη ενεργό.');
define('STORE_INACTIVE_INFO','Η σύμβαση που έχει με την εταιρεία Σιάγκρης Α.Ε. έχει λήξει.');

define('FREE_SHIPPING_TITLE','Μεταφορικά (δωρεάν)');
define('FREE_SHIPPING_DESCRIPTION','Δεν υπάρχει κόστος μεταφορικών για την παραγγελία σας.');

define('TABLE_HEADING_NEW_PRODUCTS','Νέα προϊόντα');

define('PRICE_DISPLAYED_WITH_FPA',' <small style="font-weight:normal">(με Φ.Π.Α)</small>');
define('PRICE_DISPLAYED_WITHOUT_FPA',' <small style="font-weight:normal">(χωρίς Φ.Π.Α)</small>');

define('SYGKATATHESH','Η ΣΥΓΚΑΤΑΘΕΣΗ ΣΑΣ');
define('SYGKATATHESH_PERSONAL_DATA','Συναινώ στην αποθήκευση των προσωπικών μου δεδομένων από το ηλεκτρονικό κατάστημα: '.STORE_NAME);
define('SYGKATATHESH_TERMS','Έχω διαβάσει και συμφωνώ με τη Δήλωση Προστασίας Προσωπικών Δεδομένων και τους Όρους και τις Προϋποθέσεις');
