<?php

class cm_pwa_link {
    var $code;
    var $group;
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    public function __construct() {

        $this->code = get_class($this);
        $this->group = basename(dirname(__FILE__));

        $this->title = MODULE_CONTENT_PWA_LINK_TITLE;
        $this->description = MODULE_CONTENT_PWA_LINK_DESCRIPTION;

        if ( defined('MODULE_CONTENT_PWA_LINK_STATUS') ) {

            $this->sort_order = MODULE_CONTENT_PWA_LINK_SORT_ORDER;
            $this->enabled = (MODULE_CONTENT_PWA_LINK_STATUS == 'True');

        }

    }

    public function execute() {

        global $oscTemplate;

        ob_start();
        include(DIR_WS_MODULES . 'content/' . $this->group . '/templates/pwa_link.php');
        $template = ob_get_clean();

        $oscTemplate->addContent($template, $this->group);

    }

    public function isEnabled() {

        return $this->enabled;

    }

    public function check() {

        return defined('MODULE_CONTENT_PWA_LINK_STATUS');

    }

    public function install() {

        tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable New User Module', 'MODULE_CONTENT_PWA_LINK_STATUS', 'True', 'Do you want to enable the new user module?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");

        tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Width', 'MODULE_CONTENT_PWA_LINK_CONTENT_WIDTH', 'Half', 'Should the content be shown in a full or half width container?', '6', '1', 'tep_cfg_select_option(array(\'Full\', \'Half\'), ', now())");

        tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_CONTENT_PWA_LINK_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '0', now())");

    }

    public function remove() {

        tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");

    }

    public function keys() {

        return array('MODULE_CONTENT_PWA_LINK_STATUS', 'MODULE_CONTENT_PWA_LINK_CONTENT_WIDTH', 'MODULE_CONTENT_PWA_LINK_SORT_ORDER');

    }

}

