<?php

  class ot_cod_fee {
    var $title, $output;

    function ot_cod_fee() {
      $this->code = 'ot_cod_fee';
      $this->title = MODULE_ORDER_TOTAL_COD_TITLE;
      $this->description = MODULE_ORDER_TOTAL_COD_DESCRIPTION;
      $this->enabled = ((MODULE_ORDER_TOTAL_COD_STATUS == 'true') ? true : false);
      $this->sort_order = MODULE_ORDER_TOTAL_COD_SORT_ORDER;

      $this->output = array();
    }

    function process() {
      global $order, $currencies, $cod_cost, $cod_country, $shipping;

      if (MODULE_ORDER_TOTAL_COD_STATUS == 'true') {
        $tax = tep_get_tax_rate(MODULE_ORDER_TOTAL_COD_TAX_CLASS);

        //Will become true, if cod can be processed.
        $cod_country = false;

        //check if payment method is cod. If yes, check if cod is possible.
        if ($GLOBALS['payment'] == 'cod') {
          //process installed shipping modules
          if ($shipping['id'] == 'free_free') $cod_zones = preg_split("/[:,]/", MODULE_ORDER_TOTAL_COD_FEE_FLAT);
          if ($shipping['id'] == 'flat_flat') $cod_zones = preg_split("/[:,]/", MODULE_ORDER_TOTAL_COD_FEE_FLAT);


            for ($i = 0; $i < count($cod_zones); $i++) {
              if ($cod_zones[$i] == $order->delivery['country']['iso_code_2']) {
                  $cod_cost = $cod_zones[$i + 1];
                  $cod_country = true;
                  //print('match' . $i . ': ' . $cod_cost);
                  break;
                } elseif ($cod_zones[$i] == '00') {
                  $cod_cost = $cod_zones[$i + 1];
                  $cod_country = true;
                  //print('match' . $i . ': ' . $cod_cost);
                  break;
                } else {
                  //print('no match');
                }
              $i++;
            }
          } else {
            //COD selected, but no shipping module which offers COD
          }

//echo '<pre>';
//var_dump($shipping['id']);
//echo '</pre>';

        if ($cod_country) {
            $order->info['tax'] += tep_calculate_tax($cod_cost, $tax);
            //$order->info['tax_groups']["{$tax_description}"] += tep_calculate_tax($cod_cost, $tax);
            //$order->info['total'] += $cod_cost + tep_calculate_tax($cod_cost, $tax);
            // BOF correct calculation of tax with COD
              $tax_description = tep_get_tax_description(MODULE_ORDER_TOTAL_COD_TAX_CLASS, $order->delivery['country']['id'],$order->delivery['zone_id']);
              //$order->info['tax_groups']["$tax_description"] += tep_calculate_tax($cod_cost, $tax);
              $order->info['tax_groups']["$tax_description"] += $cod_cost;
              //$order->info['total'] += $cod_cost + tep_calculate_tax($cod_cost, $tax);
              $order->info['total'] += $cod_cost;
            // EOF correct calculation of tax with COD

            $this->output[] = array('title' => $this->title . ':',
                                    //'text' => $currencies->format(tep_add_tax($cod_cost, $tax), true,  $order->info['currency'], $order->info['currency_value']),
                                    'text' => $currencies->format($cod_cost, true,  $order->info['currency'], $order->info['currency_value']),
                                    //'value' => tep_add_tax($cod_cost, $tax));
                                    'value' => $cod_cost);
        } else {
//Following code should be improved if we can't get the shipping modules disabled, who don't allow COD
// as well as countries who do not have cod
//          $this->output[] = array('title' => $this->title . ':',
//                                  'text' => 'No COD for this module.',
//                                  'value' => '');
        }
      }
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_ORDER_TOTAL_COD_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }

      return $this->_check;
    }

    function keys() {
      return array('MODULE_ORDER_TOTAL_COD_STATUS', 'MODULE_ORDER_TOTAL_COD_SORT_ORDER', 'MODULE_ORDER_TOTAL_COD_FEE_FLAT', 'MODULE_ORDER_TOTAL_COD_TAX_CLASS');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Εμφάνιση εξόδων αντικαταβολής', 'MODULE_ORDER_TOTAL_COD_STATUS', 'true', 'Do you want this module to display?', '6', '1','tep_cfg_select_option(array(\'true\', \'false\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_ORDER_TOTAL_COD_SORT_ORDER', '4', 'Sort order of display.', '6', '4', now())");

      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Έξοδα αποστολής ( τιμή χωρίς Φ.Π.Α )', 'MODULE_ORDER_TOTAL_COD_FEE_FLAT', 'GR:3.00', 'Format: &lt;Κωδικός Χώρας&gt;:&lt;Έξοδα αποστολής ( χωρίς Φ.Π.Α )&gt;', '6', '3', now())");

      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Φορολογική Κλάση', 'MODULE_ORDER_TOTAL_COD_TAX_CLASS', '0', 'Αν θέλετε τα έξοδα αντικαταβολής να συμπεριλαμβάνουν φόρο, επιλέξτε την φορολογική κλάση.', '6', '11', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes(', now())");
    }

    function remove() {
      $keys = '';
      $keys_array = $this->keys();
      $keys_size = sizeof($keys_array);
      for ($i=0; $i<$keys_size; $i++) {
        $keys .= "'" . $keys_array[$i] . "',";
      }
      $keys = substr($keys, 0, -1);

      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in (" . $keys . ")");
    }
  }
?>