<?php

  class pickup {
    var $code, $title, $description, $enabled;

    function __construct() {
      global $order;

      $this->code = 'pickup';
      $this->title = MODULE_PAYMENT_PICKUP_TEXT_TITLE;
      $this->description = MODULE_PAYMENT_PICKUP_TEXT_DESCRIPTION;
      $this->sort_order = defined('MODULE_PAYMENT_PICKUP_SORT_ORDER') ? MODULE_PAYMENT_PICKUP_SORT_ORDER : 0;
      $this->enabled = defined('MODULE_PAYMENT_PICKUP_STATUS') && (MODULE_PAYMENT_PICKUP_STATUS == 'True') ? true : false;
      $this->order_status = defined('MODULE_PAYMENT_PICKUP_ORDER_STATUS_ID') && ((int)MODULE_PAYMENT_PICKUP_ORDER_STATUS_ID > 0) ? (int)MODULE_PAYMENT_PICKUP_ORDER_STATUS_ID : 0;

      if ( isset($order) && is_object($order) ) {
        $this->update_status();
      }

    }

    function update_status() {
      global $order;

      //enable only when pickup from store
      //echo '<pre>';
      //var_dump($order);

      if ($order->info['shipping_id'] == 'spu_spu') {
        $this->enabled = true;
      }

    }

    function javascript_validation() {
      return false;
    }

    function selection() {
      return array('id' => $this->code,
                   'module' => $this->title);
    }

    function pre_confirmation_check() {
      return false;
    }

    function confirmation() {
      return false;
    }

    function process_button() {
      return false;
    }

    function before_process() {
      return false;
    }

    function after_process() {
      return false;
    }

    function get_error() {
      return false;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_PICKUP_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Ενεργοποίηση Αντικαταβολής', 'MODULE_PAYMENT_PICKUP_STATUS', 'True', '', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Σειρά Εμφάνισης', 'MODULE_PAYMENT_PICKUP_SORT_ORDER', '0', '', '6', '0', now())");

   }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_PAYMENT_PICKUP_STATUS', 'MODULE_PAYMENT_PICKUP_SORT_ORDER');
    }
  }
?>
