<?php
/**
 *****************************************************************************
 * JBEI - SOFTWARE LICENSE (v2.0)
 *
 * You may not alter, transform, build upon, redistribute, share this work
 * without written permission from the author.
 ******************************************************************************
 * @category   Payment Gateway
 * @author     John Barounis
 * @copyright  Copyright (c)2018 https://www.johnbarounis.com
 ******************************************************************************
 */

class piraeusbank {

  var $code, $title, $description, $enabled, $sort_order, $form_action_url;

  public function __construct() {

    global $order;

    $this->code = 'piraeusbank';
    $this->title = MODULE_PAYMENT_PIRAEUSBANK_TEXT_TITLE;
    $this->description = MODULE_PAYMENT_PIRAEUSBANK_TEXT_DESCRIPTION;
    $this->password = MODULE_PAYMENT_PIRAEUSBANK_PASSWORD;
    $this->enabled = (MODULE_PAYMENT_PIRAEUSBANK_STATUS == 'True') ? true : false;
    $this->sort_order = MODULE_PAYMENT_PIRAEUSBANK_SORTORDER;
    $this->form_action_url = MODULE_PAYMENT_PIRAEUSBANK_POSTURL;

    if ( (int)MODULE_PAYMENT_PIRAEUSBANK_ORDER_STATUS_ID > 0 ) {

      $this->order_status = MODULE_PAYMENT_PIRAEUSBANK_ORDER_STATUS_ID;

    }

    if ( is_object($order) ){

      $this->update_status();

    }

  }

  public function update_status() {

    global $order;

    if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_PIRAEUSBANK_ZONE > 0) ) {

      $check_flag = false;

      $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_PIRAEUSBANK_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");

      while ($check = tep_db_fetch_array($check_query)) {

        if ($check['zone_id'] < 1) {

          $check_flag = true;
          break;

        } elseif ($check['zone_id'] == $order->billing['zone_id']) {

          $check_flag = true;
          break;

        }

      }

      if ( !$check_flag ) {

        $this->enabled = false;

      }
    }

  }

  public function getticket() {

    global $HTTP_POST_VARS, $order, $currencies, $currency, $customer_id, $currencies;

    $set_currency = 'EUR';
    $ticketurl = MODULE_PAYMENT_PIRAEUSBANK_TICKETURL;

    $this->AcquirerId = MODULE_PAYMENT_PIRAEUSBANK_ACQUIRERID;
    $this->MerchantId = MODULE_PAYMENT_PIRAEUSBANK_MERCHANTID;
    $this->PosId = MODULE_PAYMENT_PIRAEUSBANK_POSID;
    $this->Username = MODULE_PAYMENT_PIRAEUSBANK_USERNAME;
    $this->Password = hash('md5', MODULE_PAYMENT_PIRAEUSBANK_PASSWORD);

    if( MODULE_PAYMENT_PIRAEUSBANK_REQUESTTYPE === 'Authorize' ){

      $this->RequestType = '00'; //Authorize
      $this->ExpirePreauth = '30';

    } else {

      $this->RequestType = '02'; //Sale
      $this->ExpirePreauth = '0';

    }

    $this->CurrencyCode = '978';
    $this->MerchantReference = 'REF'.substr(md5(uniqid(rand(), true)), 0, 9);
    $this->Amount = number_format($order->info['total'] * $currencies->get_value($set_currency), '2', '.', '');
    $this->Installments = '0';
    $this->Bnpl = '0';
    $this->Parameters = 'osCsid='.tep_session_id();
    //$this->Parameters = '';

    $soap = '';
    $soap .= '<?xml version="1.0" encoding="utf-8"?>'."\n";
    $soap .= '<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">'."\n";
    $soap .= '<soap12:Body>'."\n";
    $soap .= '<IssueNewTicket xmlns="http://piraeusbank.gr/paycenter/redirection">'."\n";
    $soap .= '<Request>'."\n";
    $soap .= '<Username>'.$this->Username.'</Username>'."\n";
    $soap .= '<Password>'.$this->Password.'</Password>'."\n";
    $soap .= '<MerchantId>'.$this->MerchantId.'</MerchantId>'."\n";
    $soap .= '<PosId>'.$this->PosId.'</PosId>'."\n";
    $soap .= '<AcquirerId>'.$this->AcquirerId.'</AcquirerId>'."\n";
    $soap .= '<MerchantReference>'.$this->MerchantReference.'</MerchantReference>'."\n";
    $soap .= '<RequestType>'.$this->RequestType.'</RequestType>'."\n";
    $soap .= '<ExpirePreauth>'.$this->ExpirePreauth.'</ExpirePreauth>'."\n";
    $soap .= '<Amount>'.$this->Amount.'</Amount>'."\n";
    $soap .= '<CurrencyCode>'.$this->CurrencyCode.'</CurrencyCode>'."\n";
    $soap .= '<Installments>'.$this->Installments.'</Installments>'."\n";
    $soap .= '<Bnpl>'.$this->Bnpl.'</Bnpl>'."\n";
    $soap .= '<Parameters>'.$this->Parameters.'</Parameters>'."\n";
    $soap .= '</Request>'."\n";
    $soap .= '</IssueNewTicket>'."\n";
    $soap .= '</soap12:Body>'."\n";
    $soap .= '</soap12:Envelope>';

    $curl = curl_init($ticketurl);
    curl_setopt($curl, CURLOPT_PORT, 443);
    curl_setopt($curl, CURLOPT_HTTPHEADER, Array("Content-Type: application/soap+xml; charset=utf-8"));
    curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
    curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($curl, CURLOPT_POST, 1);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $soap);

    $response = curl_exec($curl);
    if (curl_errno($curl)) {
      die('curl error');
    }
    curl_close($curl);

    return $response;
  }

  public function javascript_validation() {
    return false;
  }

  public function selection() {

    return array('id' => $this->code, 'module' => $this->title.tep_image('images/banks/piraeus/logos.png','logos','','','',false,'sss'));

  }

  public function pre_confirmation_check() {
    return false;
  }

  public function confirmation() {

    global $HTTP_POST_VARS, $order, $currencies, $currency, $customer_id, $currencies;

    //$cleandb_query = tep_db_query("DELETE from piraeusbank_data where (to_days(now())- to_days(Timestamp) > 180)");

    $ticket_info = $this->getticket();

    $xml_parser = xml_parser_create();
    xml_parser_set_option($xml_parser,XML_OPTION_CASE_FOLDING,0);
    xml_parser_set_option($xml_parser,XML_OPTION_SKIP_WHITE,1);
    xml_parse_into_struct($xml_parser, $ticket_info, $vals, $index);
    xml_parser_free($xml_parser);

    foreach ($vals as $xml_elem) {

      if(isset($xml_elem['tag']) && isset($xml_elem['value'])){
        if ($xml_elem['tag'] == 'ResultCode') {
          $this->_resultcode = $xml_elem['value'];
        }
        if ($xml_elem['tag'] == 'ResultDescription') {
          $this->_resultdescription = $xml_elem['value'];
        }
        if ($xml_elem['tag'] == 'TranTicket') {
          $this->_tranticket = $xml_elem['value'];
        }
        if ($xml_elem['tag'] == 'Timestamp') {
          $this->_timestamp = $xml_elem['value'];
        }
        if ($xml_elem['tag'] == 'MinutesToExpiration') {
          $this->_minutestoexpiration = $xml_elem['value'];
        }
      }

    }

    tep_db_query("insert into piraeusbank_data (ResultCode, ResultDescription, TranTicket, Timestamp, MinutesToExpiration, RequestType, CurrencyCode, MerchantReference, Amount, Installments, ExpirePreauth, Bnpl, Parameters, Status) values ('".$this->_resultcode."','".$this->_resultdescription."','". $this->_tranticket ."','". $this->_timestamp ."','". $this->_minutestoexpiration ."','". $this->RequestType ."','". $this->CurrencyCode ."','". $this->MerchantReference ."','". $this->Amount ."','". $this->Installments ."','". $this->ExpirePreauth ."','". $this->Bnpl ."','". $this->Parameters ."','Ticket Request')");


    $confirmation = array('title' => $this->title . ': ' . MODULE_PAYMENT_PIRAEUSBANK_WARNING);

    return $confirmation;

  }

  public function process_button() {

    global $HTTP_POST_VARS, $customer_id, $order, $currencies, $currency, $languages_id;

    $language_query = tep_db_query("select code from " . TABLE_LANGUAGES . " where languages_id = '" . (int)$languages_id . "'");
    $piraeusbank_lang = tep_db_fetch_array($language_query);

    if(strtoupper($piraeusbank_lang['code']) == 'GR' || strtoupper($piraeusbank_lang['code']) == 'EL'){

      $languagecode = 'el-GR';

    } else {

      $languagecode = 'en-US';

    }

    if( MODULE_PAYMENT_PIRAEUSBANK_REQUESTTYPE === 'Authorize' ){

      $RequestType = '00'; //Authorize
      $ExpirePreauth = '30';

    } else {

      $RequestType = '02'; //Sale
      $ExpirePreauth = '0';

    }

    $set_currency = 'EUR';

    $Amount = number_format($order->info['total'] * $currencies->get_value($set_currency), '2', '.', '');

    $process_button_string =
    tep_draw_hidden_field('AcquirerId', $this->AcquirerId) .
    tep_draw_hidden_field('MerchantId', $this->MerchantId) .
    tep_draw_hidden_field('PosId', $this->PosId) .
    tep_draw_hidden_field('User', $this->Username) .
    tep_draw_hidden_field('LanguageCode', $languagecode) .
    tep_draw_hidden_field('CurrencyCode', 978) .
    tep_draw_hidden_field('RequestType', $RequestType) .
    tep_draw_hidden_field('ExpirePreauth', $ExpirePreauth) .
    tep_draw_hidden_field('MerchantReference', $this->MerchantReference) .
    tep_draw_hidden_field('Bnpl', 0) .
    tep_draw_hidden_field('Installments', 0) .
    tep_draw_hidden_field('Amount', $Amount) .
    tep_draw_hidden_field ('Parameters', 'osCsid='.tep_session_id().'&MerchantReference='.$this->MerchantReference);
    //tep_draw_hidden_field ('Parameters', '');

    return $process_button_string;

  }

  public function before_process() {

    global $MerchantReference;
    $MerchantReference = tep_db_prepare_input($_GET['MerchantReference']);
    $transtat_query = tep_db_query("select * from piraeusbank_data where MerchantReference='".$MerchantReference."'");
    $transtat = tep_db_fetch_array($transtat_query);

    $PosId = MODULE_PAYMENT_PIRAEUSBANK_POSID;
    $AcquirerId = MODULE_PAYMENT_PIRAEUSBANK_ACQUIRERID;

    //$str = $transtat['TranTicket'].$PosId.$AcquirerId.$MerchantReference.$transtat['ApprovalCode'].$transtat['Parameters'].$transtat['ResponseCode'].$transtat['SupportReferenceID'].$transtat['AuthStatus'].$transtat['PackageNo'].$transtat['StatusFlag'];

    $str = $transtat['TranTicket'].';'.$PosId.';'.$AcquirerId.';'.$MerchantReference.';'.$transtat['ApprovalCode'].';'.$transtat['Parameters'].';'.$transtat['ResponseCode'].';'.$transtat['SupportReferenceID'].';'.$transtat['AuthStatus'].';'.$transtat['PackageNo'].';'.$transtat['StatusFlag'];

    $trancheck = strtoupper( hash_hmac('sha256', $str, $transtat['TranTicket']) );

    //$trancheck = strtoupper(hash('sha256',$str));

    if($trancheck == strtoupper($transtat['HashKey']) && ($transtat['ResponseCode']=='00' || $transtat['ResponseCode']=='08' || $transtat['ResponseCode']=='10' || $transtat['ResponseCode']=='16')){

      return false;

    } else {

      if(isset($transtat['ResponseDescription']) && tep_not_null($transtat['ResponseDescription'])){

        $piraeusbank_error = $transtat['ResponseDescription'];

      } else {

        $piraeusbank_error = $transtat['ResultDescription'];

      }

      tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, 'error_message=' . urlencode($piraeusbank_error), 'SSL', true, false));

    }

  }

  public function after_process() {

    global $HTTP_POST_VARS, $order, $insert_id, $MerchantReference;
/*
    $sql_data_array = array('orders_id' => (int)$insert_id,
                                'orders_status_id' => (int)$order->info['order_status'],
                                'date_added' => 'now()',
                                'customer_notified' => '0',
                                'comments' => 'Κωδικός αναφοράς συναλλαγής: '.$MerchantReference.' (αφορά τη συναλλαγή σας μέσω τράπεζας Πειραιώς)');
*/
    //tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);

    tep_db_perform('piraeusbank_data', array(

      'orders_id' => (int)$insert_id,

    ), 'update', "MerchantReference = '" . $MerchantReference . "' ");

  }

  public function get_error($error='') {

    global $HTTP_GET_VARS;

    if ( $error == "" ) {

      $error = $HTTP_GET_VARS['error'];

    }

    $error = array(
    'title' => MODULE_PAYMENT_PIRAEUSBANK_TEXT_ERROR,
    'error' => stripslashes(urldecode($error))
    );

    return $error;

  }

  public function output_error() {

    return false;

  }

  public function check() {

    if (!isset($this->_check)) {

      $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_PIRAEUSBANK_STATUS'");
      $this->_check = tep_db_num_rows($check_query);

    }
    return $this->_check;

  }

  public function install() {

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Piraeus Bank Module', 'MODULE_PAYMENT_PIRAEUSBANK_STATUS', 'True', 'Do you want to accept Piraeus bank payments?', '6', '0', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('AcquirerId', 'MODULE_PAYMENT_PIRAEUSBANK_ACQUIRERID', '11', '', '6', '1', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('MerchantId', 'MODULE_PAYMENT_PIRAEUSBANK_MERCHANTID', '1111111111', '', '6', '2', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('PosId', 'MODULE_PAYMENT_PIRAEUSBANK_POSID', '2222222222', '', '6', '3', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Username', 'MODULE_PAYMENT_PIRAEUSBANK_USERNAME', 'AA111111', '', '6', '4', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Password', 'MODULE_PAYMENT_PIRAEUSBANK_PASSWORD', 'BB111111', '', '6', '5', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('RequestType', 'MODULE_PAYMENT_PIRAEUSBANK_REQUESTTYPE', 'Sale', 'Pre authorized payments or direct sale', '6', '6', 'tep_cfg_select_option(array(\'Sale\', \'Authorize\'), ', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Ticketing Web Service', 'MODULE_PAYMENT_PIRAEUSBANK_TICKETURL', 'https://paycenter.piraeusbank.gr/services/tickets/issuer.asmx', '', '6', '7', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Post URL', 'MODULE_PAYMENT_PIRAEUSBANK_POSTURL', 'https://paycenter.piraeusbank.gr/redirection/pay.aspx', '', '6', '8', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Password', 'MODULE_PAYMENT_PIRAEUSBANK_HISTORY', '180', 'Amount of days to keep transaction history<br>Default 180 days', '6', '10', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Unique sort order', 'MODULE_PAYMENT_PIRAEUSBANK_SORTORDER', '4', 'Sort order of display. Lowest is displayed first.', '6', '11', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Payment Zone', 'MODULE_PAYMENT_PIRAEUSBANK_ZONE', '0', 'If a zone is selected, only enable this payment method for that zone', '6', '12', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");

    tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Set Order Status', 'MODULE_PAYMENT_PIRAEUSBANK_ORDER_STATUS_ID', '0', 'Set the status of orders made with this payment module to this value', '6', '13', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");

    tep_db_query("CREATE TABLE IF NOT EXISTS piraeusbank_data (
                    id int(11) unsigned NOT NULL AUTO_INCREMENT,
                    orders_id int(11) unsigned NOT NULL,
                    ResultCode varchar(150) DEFAULT NULL,
                    ResultDescription varchar(255) DEFAULT NULL,
                    TranTicket varchar(150) DEFAULT NULL,
                    Timestamp datetime DEFAULT NULL,
                    MinutesToExpiration varchar(150) DEFAULT NULL,
                    RequestType varchar(50) DEFAULT NULL,
                    CurrencyCode varchar(50) DEFAULT NULL,
                    MerchantReference varchar(150) DEFAULT NULL,
                    Amount varchar(50) DEFAULT NULL,
                    Installments varchar(50) DEFAULT NULL,
                    ExpirePreauth varchar(50) DEFAULT NULL,
                    Bnpl varchar(150) DEFAULT NULL,
                    Parameters varchar(255) DEFAULT NULL,
                    SupportReferenceID varchar(150) DEFAULT NULL,
                    StatusFlag varchar(150) DEFAULT NULL,
                    ResponseCode varchar(150) DEFAULT NULL,
                    ResponseDescription varchar(150) DEFAULT NULL,
                    TransactionId varchar(150) DEFAULT NULL,
                    CardType varchar(150) DEFAULT NULL,
                    PackageNo varchar(150) DEFAULT NULL,
                    ApprovalCode varchar(150) DEFAULT NULL,
                    RetrievalRef varchar(150) DEFAULT NULL,
                    AuthStatus varchar(150) DEFAULT NULL,
                    HashKey varchar(255) DEFAULT NULL,
                    PaymentMethod varchar(255) DEFAULT NULL,
                    Status varchar(150) DEFAULT NULL,
                    PRIMARY KEY (id))");

  }

  public function remove() {

    tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");

  }

  public function keys() {

    return array(
      'MODULE_PAYMENT_PIRAEUSBANK_STATUS',
      'MODULE_PAYMENT_PIRAEUSBANK_ACQUIRERID',
      'MODULE_PAYMENT_PIRAEUSBANK_MERCHANTID',
      'MODULE_PAYMENT_PIRAEUSBANK_POSID',
      'MODULE_PAYMENT_PIRAEUSBANK_USERNAME',
      'MODULE_PAYMENT_PIRAEUSBANK_PASSWORD',
      'MODULE_PAYMENT_PIRAEUSBANK_REQUESTTYPE',
      'MODULE_PAYMENT_PIRAEUSBANK_TICKETURL',
      'MODULE_PAYMENT_PIRAEUSBANK_POSTURL',
      'MODULE_PAYMENT_PIRAEUSBANK_HISTORY',
      'MODULE_PAYMENT_PIRAEUSBANK_SORTORDER',
      'MODULE_PAYMENT_PIRAEUSBANK_ZONE',
      'MODULE_PAYMENT_PIRAEUSBANK_ORDER_STATUS_ID'
    );

  }

}
