<?php

  require_once('includes/application_top.php');

  if (!isset($HTTP_GET_VARS['products_id'])) {
    tep_redirect(tep_href_link(FILENAME_DEFAULT));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);

  $product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_check = tep_db_fetch_array($product_check_query);

  require(DIR_WS_INCLUDES . 'template_top.php');

  if ($product_check['total'] < 1) {
?>

<div class="contentContainer">
  <div class="contentText">
    <div class="alert alert-warning"><?php echo TEXT_PRODUCT_NOT_FOUND; ?></div>
  </div>

  <div class="pull-right">
    <?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'glyphicon glyphicon-chevron-right', tep_href_link(FILENAME_DEFAULT)); ?>
  </div>
</div>

<?php
  } else {
    $product_info_query = tep_db_query("select p.products_id, p.is_local, pd.products_name, pd.products_description, pd.products_attributes, p.products_model, p.products_quantity, p.products_image, pd.products_url, p.products_price, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.manufacturers_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
    $product_info = tep_db_fetch_array($product_info_query);

    tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");

    if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
      $products_price = '<del>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</del> <span class="productSpecialPrice" itemprop="price">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
    } else {
      $products_price = '<span itemprop="price">' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
    }

    if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
      $products_price .= '<link itemprop="availability" href="http://schema.org/PreOrder" />';
    } elseif ((STOCK_CHECK == 'true') && ($product_info['products_quantity'] < 1)) {
      $products_price .= '<link itemprop="availability" href="http://schema.org/OutOfStock" />';
    } else {
      $products_price .= '<link itemprop="availability" href="http://schema.org/InStock" />';
    }

    $products_price .= '<meta itemprop="priceCurrency" content="' . tep_output_string($currency) . '" />';

    //$products_name = '<a href="' . tep_href_link('product_info.php', 'products_id=' . $product_info['products_id']) . '" itemprop="url"><span itemprop="name">' . $product_info['products_name'] . '</span></a>';

    $products_name = '';


    $products_name .= '<span content="' . tep_href_link('product_info.php', 'products_id=' . $product_info['products_id']) . '" itemprop="url"><span itemprop="name">' . $product_info['products_name'] . '</span></span>';

    if (tep_not_null($product_info['products_model'])) {
      $products_name .= ' <div><small>[<span itemprop="model">' . $product_info['products_model'] . '</span>]</small></div>';
    }

    $reviews_query = tep_db_query("select count(*) as count, avg(reviews_rating) as avgrating from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
    $reviews = tep_db_fetch_array($reviews_query);

    $review_query = tep_db_query("select SUBSTRING_INDEX(rd.reviews_text, ' ', 20) as reviews_text, r.reviews_rating, r.reviews_id, r.customers_name, r.date_added, r.reviews_read, p.products_id, p.products_price, p.products_tax_class_id, p.products_image, p.products_model, pd.products_name from reviews r, reviews_description rd, products p, products_description pd where r.products_id = '" . (int)$product_info['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and r.products_id = p.products_id and p.products_status = '1' and r.reviews_status = '1' and p.products_id = pd.products_id and pd.language_id = '". (int)$languages_id . "' order by r.reviews_rating DESC");

    $review_data = NULL;

    if (tep_db_num_rows($review_query) > 0) {
      while ($review = tep_db_fetch_array($review_query)) {
        $review_data .=  '<blockquote class="col-sm-6 col-xs-12">';
        $review_data .=   '  <p>' . tep_output_string_protected($review['reviews_text']) . ' ... </p>';
        $review_name = tep_output_string_protected($review['customers_name']);
        $review_data .=   '  <footer>' . sprintf(PRODUCT_INFO_REVIEWS_TEXT_RATED, tep_draw_stars($review['reviews_rating']), $review_name, $review_name) . '</footer>';
        $review_data .=   '</blockquote>';
      }

    }else $review_data = 'Δεν υπάρχουν κριτικές.';

    $pi_total=0;
    if (tep_not_null($product_info['products_image'])) {

      $photoset_layout = '1';

      $pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");
      $pi_total = tep_db_num_rows($pi_query);

    }

?>

<?php echo tep_draw_form('cart_quantity', tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action','atts')). 'action=add_product', 'NONSSL'), 'post', 'class="form-horizontal" role="form"'); ?>

<div itemscope itemtype="http://schema.org/Product">

<div class="page-header">
  <?php echo '' . $breadcrumb->trail('&raquo'); ?>
</div>

<?php
  if ($messageStack->size('product_action') > 0) {
    echo $messageStack->output('product_action');
  }
?>

<div class="contentContainer">
  <div class="contentText row">


<div class="col-lg-4">
    <div class="item-full item">

<?php //echo $product_info['products_image'];?>
<?php //echo tep_image_src($product_info['products_image']);?>

        <img id="zoom" src="<?php echo tep_image_src(DIR_WS_IMAGES . $product_info['products_image']);?>" data-zoom-image="<?php echo tep_image_src(DIR_WS_IMAGES . $product_info['products_image'],'large');?>" class="img-responsive center-block" alt="<?php echo $product_info['products_image']; ?>">
<?php
      $price_without_tax_text = PRICE_DISPLAYED_WITH_FPA;

      if( DISPLAY_PRICE_WITH_TAX === 'false' ){

        $price_without_tax_text = PRICE_DISPLAYED_WITHOUT_FPA;

      }
?>
        <div class="clearfix"></div>
        <h3 class="title"><?php echo $products_name; ?></h3>

<?php if( $display_prices_for_all ){ ?>

        <div class="price" itemprop="offers" itemscope itemtype="http://schema.org/Offer"><?php echo $products_price.$price_without_tax_text; ?>

                <?php if($product_info['products_quantity']<=0){ ?><span class="product_out_of_stock"><?php echo PRODUCT_OUT_OF_STOCK; ?></span><?php } elseif( $product_info['products_quantity']>0 && $product_info['products_quantity']<=3 ){ ?>
                <span class="product_limited"><?php echo PRODUCT_LIMITED; ?></span><?php } ?>

        </div>

<?php } ?>

<?php if (STORE_ONLY_CATALOG == 'False' && $display_prices_for_all ) { ?>
        <div class="item-quantity">
<?php if($product_info['products_price']<=0){ ?>

          <button type="button" class="add-to-cart btn btn-danger disabled" disabled><span class="fa fa-cart-plus"></span><span class="text"><?php echo IMAGE_BUTTON_IN_CART; ?></span></button>

<?php }elseif($product_info['products_quantity']>0){ ?>
          <button type="submit" class="add-to-cart"><span class="fa fa-cart-plus"></span><span class="text"><?php echo IMAGE_BUTTON_IN_CART; ?></span></button>
<?php }else{ ?>
          <button type="button" class="add-to-cart btn btn-danger disabled" disabled><span class="fa fa-cart-plus"></span><span class="text"><?php echo IMAGE_BUTTON_IN_CART; ?></span></button>
<?php } ?>
          <?php echo tep_draw_hidden_field('products_id', $product_info['products_id']); ?>
          <input type="hidden" name="q" value="<?php if($product_info['products_quantity']>0) echo '1'; else echo '0'; ?>" id="q">
          Ποσότητα:
          <span class="q-update" data-quantity="<?php echo $product_info['products_quantity']; ?>" data-max="<?php echo $product_info['products_quantity']; ?>">
<?php if($product_info['products_quantity']>0) echo '1'; else echo '0'; ?>
          </span>
           <span class="q-plus" title="Προσθήκη Ποσότητας" ><i class="fa fa-arrow-up"></i></span>
          <span class="q-minus" title="Αφαίρεση Ποσότητας"><i class="fa fa-arrow-down"></i></span>
        </div>
<?php } ?>
<?php
    //$products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
    //$products_attributes = tep_db_fetch_array($products_attributes_query);
    //if ($products_attributes['total'] > 0) {
    if ( false ) {
?>
        <div class="options">
            <?php echo TEXT_PRODUCT_OPTIONS; ?>
               <p>
                <?php
                      $products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");
                      while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
                        $products_options_array = array();
                        $products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");
                        while ($products_options = tep_db_fetch_array($products_options_query)) {
                          $products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
                          if ($products_options['options_values_price'] != '0') {
                            $products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
                          }
                        }

/*
                        if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {
                          $selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];
                        } else {
                          $selected_attribute = false;
                        }
*/

//SEO Friendly Urls Modification for displaying the users attributes selections
if( isset($seo_friendly_urls) && $seo_friendly_urls->enabled && isset($HTTP_GET_VARS['atts']) ){

  if (is_string($HTTP_GET_VARS['atts']) && isset($cart->contents[$HTTP_GET_VARS['atts']]['attributes'][$products_options_name['products_options_id']])) {

    $selected_attribute = $cart->contents[$HTTP_GET_VARS['atts']]['attributes'][$products_options_name['products_options_id']];

  } else {

    $selected_attribute = false;

  }

} else {

  if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {

    $selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];

  } else {

    $selected_attribute = false;

  }

}
//SEO Friendly Urls Modification for displaying the users attributes selections



                ?>
                      <strong><?php echo $products_options_name['products_options_name'] . ':'; ?></strong><br /><?php echo tep_draw_pull_down_menu('id[' . $products_options_name['products_options_id'] . ']', $products_options_array, $selected_attribute, 'style="width: 200px;"'); ?><br />
                <?php
                      }
                ?>
                    </p>
</div>
                <?php
                    }
                ?>

                <div class="clearfix"></div>
<div>
                <?php
                    if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
                ?>

                    <div class="alert alert-info"><?php echo sprintf(TEXT_DATE_AVAILABLE, tep_date_long($product_info['products_date_available'])); ?></div>

                <?php
                    }
                ?>

<?php
    $reviews_query = tep_db_query("select count(*) as count, avg(reviews_rating) as avgrating from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
    $reviews = tep_db_fetch_array($reviews_query);

    if ($reviews['count'] > 0) {
      echo '<span itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating"><meta itemprop="ratingValue" content="' . $reviews['avgrating'] . '" /><meta itemprop="ratingCount" content="' . $reviews['count'] . '" /></span>';
    }

    if ($product_info['manufacturers_id'] > 0) {
      $manufacturer_query = tep_db_query("select manufacturers_name from " . TABLE_MANUFACTURERS . " where manufacturers_id = '" . (int)$product_info['manufacturers_id'] . "'");
      if (tep_db_num_rows($manufacturer_query)) {
        $manufacturer = tep_db_fetch_array($manufacturer_query);
        echo '<span itemprop="manufacturer" itemscope itemtype="http://schema.org/Organization"><meta itemprop="name" content="' . tep_output_string($manufacturer['manufacturers_name']) . '" /></span>';
      }
    }
?>
        </div>

    </div>
</div>

<div class="col-lg-8">
    <div role="tabpanel" class="tab-container">

<script>
$(function(){

  var api_url = 'https://www.gloria.gr/api/eshop_relatives.php';
  var products_code = "<?php echo $product_info['products_model']; ?>";

  var text_relatives_not_found = 'Δεν βρέθηκαν προϊόντα.';

  var rs = {

    'relative_products' : 'relative',
    'relative_products_contains' : 'contains',
    'relative_products_parelkei' : 'parelkei',

  };

    $('#bodyContent').on('click','.siggenika',function (e) {

      e.preventDefault();

      triggerSiggenika($(this));

      //return false;

    });

  function triggerSiggenika(jthis){

        var tab_id = jthis.attr('data-tab');

        if( tab_id === 'relative_products' || tab_id === 'relative_products_contains' || tab_id === 'relative_products_parelkei'  ){

          var loaded = jthis.data('loaded');

          if( loaded ){

            return false;

          }

          $('#'+tab_id).html('<div class="text-muted"><i class="fa fa-refresh fa-spin fa-3x fa-fw"></i></div>');
          $('#'+tab_id+'-collapse .panel-body').html('<div class="text-muted"><i class="fa fa-refresh fa-spin fa-3x fa-fw"></i></div>');

          $.ajax({
              method: "GET",
              url: api_url,
              data: {
                action : 'relatives',
                type: rs[tab_id],
                products_code: products_code,
              },
              dataType : 'jsonp',

          }).done(function (msg) {

            if( 'status' in msg ){

              if( msg.status && 'data' in msg ){

                fetchRelatives(msg.data,rs[tab_id],tab_id);

              } else {

                $('#'+tab_id).html('<div class="text-muted">'+text_relatives_not_found+'</div>');
                $('#'+tab_id+'-collapse .panel-body').html('<div class="text-muted">'+text_relatives_not_found+'</div>');

              }

            } else {

              $('#'+tab_id).html('<div class="text-muted">'+text_relatives_not_found+'</div>');
              $('#'+tab_id+'-collapse .panel-body').html('<div class="text-muted">'+text_relatives_not_found+'</div>');

            }

            jthis.data('loaded',1);

          }).fail(function () {

            $('#'+tab_id).html('<div class="text-muted">'+text_relatives_not_found+'</div>');
            $('#'+tab_id+'-collapse .panel-body').html('<div class="text-muted">'+text_relatives_not_found+'</div>');

            jthis.data('loaded',1);

          });

        }

  }

  function fetchRelatives(pids,type,tab_id){

    if(pids.length){

      $.ajax({
          method: "POST",
          url: 'fetch/products_relatives.php',
          data: {
            pids : pids,
            type : type,
          },

      }).done(function (msg) {

        $('#'+tab_id).html(msg);
        $('#'+tab_id+'-collapse').html(msg);

      }).fail(function () {

        $('#'+tab_id).html('<div class="text-muted">'+text_relatives_not_found+'</div>');
        $('#'+tab_id+'-collapse').html('<div class="text-muted">'+text_relatives_not_found+'</div>');

      });

    }

  }

});
</script>

         <ul class="nav nav-tabs" role="tablist" id="ProductInfoTabs">

          <li role="presentation" data-tab="description" class="active"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>#description" data-toggle="tab">Περιγραφή</a></li>
<?php if( !(int)$product_info['is_local'] ) { ?>
          <li role="presentation" data-tab="docs"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>#docs" data-toggle="tab">Σχετικά Έγγραφα</a></li>
<?php } ?>
          <li role="presentation" data-tab="reviews"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>#reviews" data-toggle="tab"><?=IMAGE_BUTTON_REVIEWS ?></a></li>
<?php if($pi_total > 0){ ?>
           <li role="presentation" data-tab="photos"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>#photos" data-toggle="tab">Φωτογραφίες</a></li>
<?php } ?>
          <li role="presentation" data-tab="relative_products"><a data-tab="relative_products" data-loaded="0" class="siggenika" href="<?php echo $_SERVER['REQUEST_URI']; ?>#relative_products" data-toggle="tab"><?php echo TEXT_SXETIKA; ?></a></li>

          <li role="presentation" data-tab="relative_products_contains"><a data-tab="relative_products_contains" data-loaded="0" class="siggenika" href="<?php echo $_SERVER['REQUEST_URI']; ?>#relative_products_contains" data-toggle="tab"><?php echo TEXT_PERIEXEI; ?></a></li>

          <li role="presentation" data-tab="relative_products_parelkei"><a data-tab="relative_products_parelkei" data-loaded="0" class="siggenika" href="<?php echo $_SERVER['REQUEST_URI']; ?>#relative_products_parelkei" data-toggle="tab"><?php echo TEXT_PARELKOMENA; ?></a></li>

            <li role="presentation" data-tab="metaforika"><a href="<?php echo $_SERVER['REQUEST_URI']; ?>#metaforika" data-toggle="tab">Κόστος Μεταφορικών</a></li>

        </ul>


        <div class="tab-content" id="ProductInfoTabsContent">
           <div role="tabpanel" class="tab-pane active" id="description">
              <?php //echo $oscTemplate->getContent('product_info'); ?>
<?php

if(tep_not_null($product_info['products_description'])){

   echo stripslashes($product_info['products_description']);

}else{

  echo 'Το προϊόν δε διαθέτει περιγραφή.';

}

if(tep_not_null($product_info['products_attributes'])){

   echo '<p class="spacerTop10"><strong>Χαρακτηριστικά:</strong></p>'.stripslashes($product_info['products_attributes']);

}

?>
            </div>

            <div role="tabpanel" class="tab-pane" id="reviews">

              <div class="col-md-12 text-right"><?php echo tep_draw_button(IMAGE_BUTTON_WRITE_REVIEW, 'glyphicon glyphicon-comment', tep_href_link(FILENAME_PRODUCT_REVIEWS_WRITE, tep_get_all_get_params(array('atts'))), 'primary', NULL, 'btn-primary btn-xs'); ?></div>
                <div class="clearfix"></div>
                <div class="col-sm-12 reviews">
                  <?php echo $review_data; ?>
                </div>

            </div>

<?php if( !(int)$product_info['is_local'] ) { ?>

            <div role="tabpanel" class="tab-pane" id="docs">

<?php

          $docs_query=tep_db_query("SELECT * FROM products_docs WHERE products_id='".(int)$HTTP_GET_VARS['products_id']."'");
          $docs=array();
          while($row=tep_db_fetch_array($docs_query)) $docs[]=$row;
          if(count($docs)>0){
          echo '<ol>';
          foreach($docs as $doc){
?>
          <li><a target="_blank" href="<?php echo $doc['products_docs_link']; ?>"><?php echo $doc['products_docs_title']; ?></a></li>
<?php } echo '</ol>'; }else echo 'Δεν βρέθηκαν σχετικά αρχεία.'; ?>

            </div>

<?php } ?>

            <div role="tabpanel" class="tab-pane" id="photos">
                <div class="photogallery">
                <div class="row">

<?php
      if($pi_total > 0){

        if (tep_not_null($product_info['products_image'])) {

          if ($pi_total > 0) {
            $pi_sub = $pi_total-1;

            while ($pi_sub > 5) {
              $photoset_layout .= 5;
              $pi_sub = $pi_sub-5;
            }

            if ($pi_sub > 0) {
              $photoset_layout .= ($pi_total > 5) ? 5 : $pi_sub;
            }

            $pi_counter = 0;
            $pi_html = array();

            while ($pi = tep_db_fetch_array($pi_query)) {
              $pi_counter++;

              //if (tep_not_null($pi['htmlcontent']))
                //$pi_html[] = '<div id="piGalDiv_' . $pi_counter . '">' . $pi['htmlcontent'] . '</div>';

              echo '<div class="product_photos_thumb"><div class="col-md-60"><a href="'.tep_image_src(DIR_WS_IMAGES.$pi['image']).'" class="FancyBox" data-fancybox-group="complex">';
              echo tep_image(DIR_WS_IMAGES . $pi['image'], '', '100', '100', ' class="" style=overflow:hidden id=piGalImg_' . $pi_counter . '',false);
              echo '</a></div></div>';
            }

            if ( !empty($pi_html) ) {
              echo '    <div style="display: none;">' . implode('', $pi_html) . '</div>';
            }
          }
        }

        }else echo 'Δε βρέθηκαν φωτογραφίες.';
?>

                </div>
                </div>
            </div>

            <div role="tabpanel" class="tab-pane" id="relative_products"></div>
            <div role="tabpanel" class="tab-pane" id="relative_products_contains"></div>
            <div role="tabpanel" class="tab-pane" id="relative_products_parelkei"></div>

            <div role="tabpanel" class="tab-pane" id="metaforika">
<?php

    //calculate shipping cost

    $shipping = 0;

    if( !tep_not_null($product_info['products_shipping']) ){

        $shipping = (float)findShippingCost( $product_info['products_id'] );

    } else {

        $shipping = (float)$product_info['products_shipping'];

    }

    $tax = 0;

    if( defined('MODULE_SHIPPING_WELL_TAX_CLASS') ){

        $tax = tep_get_tax_rate(MODULE_SHIPPING_WELL_TAX_CLASS);

    }

    $tat = tep_add_tax( $shipping, $tax );

    $format_shipping = $currencies->format( $tat );

?>
              <p>Το κόστος μεταφορικών για αυτό το προϊόν είναι <?php echo $format_shipping; ?></p>

            </div>


        </div>
        <div class="clearfix"></div>
    </div>

  <div class="clearfix"></div>

<?php
    if ((USE_CACHE == 'true') && empty($SID)) {
      echo tep_cache_also_purchased(3600);
    } else {
      include(DIR_WS_MODULES . FILENAME_ALSO_PURCHASED_PRODUCTS);
    }
?>

</div>


</div>

</div>


</form>

</div>

<hr class="divider clearfix">
<div class="clearfix"></div>
<?php
    include(DIR_WS_MODULES . FILENAME_NEW_PRODUCTS);
    //include(DIR_WS_MODULES . FILENAME_UPCOMING_PRODUCTS);
?>
    <div class="clearfix"></div>
  </div>
<?php
  }
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
