<?php
/*

  xml generator
  Author: John Barounis, www.johnbarounis.com
  Version: 1

*/

header("Content-type: text/xml");

require_once('includes/application_top.php');

$pes_query = tep_db_query("SHOW TABLES LIKE 'products_external_services'");

if(!tep_db_num_rows($pes_query)){
 echo '<?xml version="1.0" encoding="utf-8"?>
';
?>
<store name="<?php echo STORE_NAME; ?>" url="<?php echo tep_href_link(FILENAME_DEFAULT,'','NONSSL',false);?>" encoding="utf8">
    <products>
    </products>
</store>
<?php die;
}

$store_db_access=false;
if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)){

$store_db_access=true;

}

if(!$store_db_access){ ?>
<store name="<?php echo STORE_NAME; ?>" url="<?php echo tep_href_link(FILENAME_DEFAULT,'','NONSSL',false);?>" encoding="utf8">
    <products>
    </products>
</store>
<?php die; }

$store_query = tep_db_query("SELECT stores_package, stores_prices_discount,stores_general_discount, stores_profit_threshold FROM stores WHERE stores_id='".STORE_ID."' LIMIT 1",DB_MAIN_LINK);

if(tep_db_num_rows($store_query)<=0){ ?>
<store name="<?php echo STORE_NAME; ?>" url="<?php echo tep_href_link(FILENAME_DEFAULT,'','NONSSL',false);?>" encoding="utf8">
    <products>
    </products>
</store>
<?php die;
}

$store=tep_db_fetch_array($store_query);

if($store['stores_package'] == '1'){ ?>
<store name="<?php echo STORE_NAME; ?>" url="<?php echo tep_href_link(FILENAME_DEFAULT,'','NONSSL',false);?>" encoding="utf8">
    <products>
    </products>
</store>
<?php die; }

$categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");

$items = array();

while ($categories = tep_db_fetch_array($categories_query)) {
  $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);
}

 //GET ALL PRODUCTS
$products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");

$products = array();

while ($products_row = tep_db_fetch_array($products_query)) {
  $products[$products_row['categories_id']][] = $products_row;
}

$_products = [];

$root_id = 0;

if( (bool)$items ){

  if(count($items) == 1) $children[] = $items; //in case we have one category item without subcategories, rare but possible
  else foreach( $items as $item ) $children[$item['parent_id']][] = $item;

}

$loop = !empty( $children[$root_id] );
$parent = $root_id;
$parent_stack = array();
$stack = array();//helper array so to know the current level
$stack_name = array();

$delimiter = ' > ';

while ( $loop && ( ( $option = each( $children[$parent] ) ) || ( $parent > $root_id ) ) ){

  if ( $option === false ){

    $parent = array_pop( $parent_stack );
    array_pop( $stack );
    array_pop( $stack_name );

  }elseif ( !empty( $children[$option['value']['id']] ) ){

    $stack[]=$option['value']['id'];

    $stack_name[]=$option['value']['name'];

    if(isset($products[$option['value']['id']])){

      foreach($products[$option['value']['id']] as $key => $value){

        $_products[$value['products_model']] = implode($delimiter,$stack_name);

      }

    }

    $parent_stack[]=$option['value']['parent_id'];
    $parent = $option['value']['id'];

  }else{

    if(isset($products[$option['value']['id']])){

      foreach($products[$option['value']['id']] as $key => $value){

        $_products[$value['products_model']] = implode($delimiter,$stack_name).$delimiter.$option['value']['name'];

      }

    }

  }
}

unset($loop);
unset($children);
unset($parent_stack);
unset($stack);
unset($stack_name);
unset($products);
unset($items);

//echo '<pre>';
//var_dump($_products);
//echo '</pre>';

function xmlencode($string) {
    $string = str_replace("&", "&amp;", $string);
    $string = str_replace("<", "&lt;", $string);
    return $string;
}

?>
<?php echo '<?xml version="1.0" encoding="utf-8"?>
'; ?>
<store name="<?php echo STORE_NAME; ?>" url="<?php echo tep_href_link(FILENAME_DEFAULT,'','NONSSL',false);?>" encoding="utf8">
    <products>
<?php

$service = 'skroutz';

$pids = array();

$query = tep_db_query("SELECT products_external_services_data FROM products_external_services WHERE products_external_services_service = '".$service."' LIMIT 1");

if( tep_db_num_rows($query) > 0 ){

  $row = tep_db_fetch_array($query);

  if( tep_not_null($row['products_external_services_data']) ){

    $data = json_decode($row['products_external_services_data'],true);

    //if( !isset($data['categories']) ) $data['categories'] = array();
    if( isset($data['products']) ) $pids = array_keys($data['products']);

  }

}

if( (bool) $pids ){

  $new_products_query = tep_db_query("select distinct p.products_id, p.products_quantity, p.products_model, p.products_weight, p.products_image, p.products_tax_class_id, pd.products_name, if(s.status, s.specials_new_products_price, p.products_price) as products_price, cd.categories_name, cd.categories_id, pd.products_description, p.products_shipping, p.products_availability from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd " . "where p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and p.products_status = '1' and p.products_id = pd.products_id and c.categories_id = cd.categories_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id in (".implode(',',$pids).") order by p.products_id asc");

  while ($new_products = tep_db_fetch_array($new_products_query)) {

    $manufacturer = xmlencode('Gloria');

    if( (int)$new_products['is_local'] ){

      $exp = explode(' ',$new_products['products_name']);
      if( $exp && isset($exp[0]) ){

        $manufacturer = xmlencode($exp[0]);

      }

    }

    //calculate shipping cost

    $shipping = 0;

    if( !tep_not_null($new_products['products_shipping']) ){

        $shipping = (float)findShippingCost( $new_products['products_id'] );

    } else {

        $shipping = (float)$new_products['products_shipping'];

    }

    $tax = 0;

    if( defined('MODULE_SHIPPING_WELL_TAX_CLASS') ){

        $tax = tep_get_tax_rate(MODULE_SHIPPING_WELL_TAX_CLASS);

    }

    $shipping = tep_add_tax( $shipping, $tax );


?>
        <product id="<?php echo $new_products['products_model']; ?>">
            <name><![CDATA[<?php echo xmlencode($new_products['products_name']); ?>]]></name>
            <link><![CDATA[<?php echo tep_href_link(FILENAME_PRODUCT_INFO,'products_id=' . $new_products['products_id'],'NONSSL',false); ?>]]></link>
            <price_with_vat><?php echo tep_round(tep_add_tax($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])), 2); ?></price_with_vat>
            <category id="<?php echo $new_products['categories_id']; ?>"><?php echo isset($_products[$new_products['products_model']]) ? xmlencode($_products[$new_products['products_model']]) : xmlencode($new_products['categories_name']); ?></category>
            <image><![CDATA[<?php echo tep_image_src(DIR_WS_IMAGES . $new_products['products_image'],'large'); ?>]]></image>
            <thumbnail width="400" height="400"><?php echo tep_image_src(DIR_WS_IMAGES . $new_products['products_image']); ?></thumbnail>
            <manufacturer><![CDATA[<?php echo $manufacturer; ?>]]></manufacturer>
            <mpn><?php echo xmlencode($new_products['products_model']); ?></mpn>
            <weight><?php echo $new_products['products_weight']; ?></weight>
            <shipping><?php echo $shipping; ?></shipping>
            <availability><?php

            if( (int)$new_products['products_quantity'] ){


                //calculate availability

                $av = [

                    0 => '',
                    1 => 'Available in store / Delivery 1 to 3 days',
                    2 => 'Delivery 1 to 3 days',
                    3 => 'Delivery 4 to 10 days',
                    4 => 'Upon order',

                ];

                $vailability = 0;

                //var_dump( $new_products['products_availability'] );

                if( (int)$new_products['products_availability'] <= 0 ){

                    $vailability = (int)findAvailability( $new_products['products_id'] );
                    //var_dump($vailability);

                } else {

                    $vailability = (int)$new_products['products_availability'];

                }

                //var_dump($vailability);

                if( $vailability <= 0 ){

                    echo xmlencode('Delivery 1 to 3 days');

                } else {

                    if( isset( $av[$vailability] ) ){

                        echo xmlencode($av[$vailability]);

                    } else {

                        echo xmlencode('Delivery 1 to 3 days');

                    }

                }

            } else {

                echo xmlencode('Upon order');

            }

            //echo (int)$new_products['products_quantity'] ? xmlencode('1 to 3 days') : xmlencode('Upon order');

            ?></availability>
            <description>
                    <?php echo xmlencode($new_products['products_description']) . '
            '; ?></description>
        </product>
<?php } ?>
<?php } ?>
    </products>
</store>
